' CSGP : Cute Short Game Project for FreeBASIC
' Title #9 : TooMuchCement - original idea : nostalgy from 80's
' File name : TooMuchCement.bas
' version 0.2b  03-05-2006 : remove console trace + saved high score
' version 0.2a  24-04-2006 : Standalone and FB module-able ready
' Version 0.1.1 21-04-2006 : add "move to next level" key action
' Version 0.1   19-04-2006
' GPL licence
' Inspired by "Mario's Cement Factory" from Nintendo (1983)
'*******************************************************************************
' What hard day ! you've to manage the cement factory, 
' you have only 3 chances
' Control :
'    left/right     : left/right arrow keys 
'    Switch trigger : down arrow key
'    Alt-Enter      : Fullscreen / windowed
'    Esc            : Quit game
' Non-Beginner player control : 
'    c              : add 1 more cement
'    +              : move to next level
' Good luck.
'*******************************************************************************

OPTION PRIVATE
option explicit
const NBSPRITE =  103
enum All_Sprites
    WORKER_03 =  1
    WORKER_12
    WORKER_13
    WORKER_14
    WORKER_20
    WORKER_ARM_UP_20
    WORKER_ARM_DOWN_20
    WORKER_21
    WORKER_22
    WORKER_23
    WORKER_24
    WORKER_25
    WORKER_ARM_UP_25
    WORKER_ARM_DOWN_25
    WORKER_30
    WORKER_ARM_UP_30
    WORKER_ARM_DOWN_30
    WORKER_31
    WORKER_32
    WORKER_33
    WORKER_34
    WORKER_35
    WORKER_ARM_UP_35
    WORKER_ARM_DOWN_35
    WORKER_41
    WORKER_42
    WORKER_43
    WORKER_52
    CEMENT_LEFT_1
    CEMENT_LEFT_2
    CEMENT_LEFT_3
    CEMENT_LEFT_4
    CEMENT_LEFT_5
    CEMENT_LEFT_6
    CEMENT_LEFT_7
    CEMENT_LEFT_8
    CEMENT_LEFT_9
    CEMENT_LEFT_10
    CEMENT_LEFT_11
    CEMENT_LEFT_OUT_1
    CEMENT_LEFT_OUT_2
    CEMENT_LEFT_OUT_3
    CEMENT_RIGHT_1
    CEMENT_RIGHT_2
    CEMENT_RIGHT_3
    CEMENT_RIGHT_4
    CEMENT_RIGHT_5
    CEMENT_RIGHT_6
    CEMENT_RIGHT_7
    CEMENT_RIGHT_8
    CEMENT_RIGHT_9
    CEMENT_RIGHT_10
    CEMENT_RIGHT_11
    CEMENT_RIGHT_OUT_1
    CEMENT_RIGHT_OUT_2
    CEMENT_RIGHT_OUT_3
    DRIVER_LEFT_OK
    DRIVER_LEFT_GOTCHA
    DRIVER_RIGHT_OK
    DRIVER_RIGHT_GOTCHA
    DING_BODY
    DING_ARM_UP
    DING_ARM_DOWN
    DING_SOUND
    TRIGGER_UP_20
    DOOR_CLOSE_20
    TRIGGER_DOWN_20
    DOOR_OPEN_20
    TRIGGER_UP_25
    DOOR_CLOSE_25
    TRIGGER_DOWN_25
    DOOR_OPEN_25
    TRIGGER_UP_30
    DOOR_CLOSE_30
    TRIGGER_DOWN_30
    DOOR_OPEN_30
    TRIGGER_UP_35
    DOOR_CLOSE_35
    TRIGGER_DOWN_35
    DOOR_OPEN_35
    LIFT_LEFT_1
    LIFT_LEFT_2
    LIFT_LEFT_3
    LIFT_LEFT_4
    LIFT_LEFT_5
    LIFT_RIGHT_1
    LIFT_RIGHT_2
    LIFT_RIGHT_3
    LIFT_RIGHT_4
    LIFT_RIGHT_5
    MISS_1
    MISS_2
    MISS_3
    DIGIT_0
    DIGIT_1
    DIGIT_2
    DIGIT_3
    DIGIT_4
    DIGIT_5
    DIGIT_6
    DIGIT_7
    DIGIT_8
    DIGIT_9
end enum

displaydata:
' Coordinate of WORKER_03
DATA  133, 35, 57, 17
' Sprite data of WORKER_03
DATA 40,0,3,80,53,0,-81,3,108,-81,52,0,-81,2,108,5,80,8,0,2,138,37,0,2,80,2,108,-81,4,108,-81
DATA 7,0,-139,37,0,2,80,3,108,-81,-109,2,116,-109,-81,17,0,2,138,26,0,-81,4,108,6,116,5,0,2,116
DATA 13,0,2,138,25,0,3,80,5,116,2,44,3,0,3,116,23,0,3,106,6,0,4,80,5,0,3,47,2,116,2,44,5,116
DATA -1,3,116,4,0,2,138,2,0,8,138,7,0,-107,3,95,4,0,-81,4,108,2,80,2,0,-117,3,47,9,116,-1,3,116
DATA 22,0,-107,3,95,-73,-81,3,0,6,108,-81,2,0,2,116,-48,15,116,20,0,-107,3,95,-73,2,108,-81
DATA -1,-81,6,108,-81,-1,-107,-96,5,116,-48,6,44,6,116,8,0,5,138,5,0,-107,3,95,-73,-81,3,108
DATA -81,8,108,-107,8,95,4,44,2,116,7,0,3,138,-1,3,138,10,0,-107,3,95,-73,-81,3,108,-81,7,108
DATA -107,2,95,8,106,4,116,25,0,-107,3,72,-1,-81,11,108,11,95,4,0,4,116,15,0,2,138,10,0,11,80
DATA 12,95,8,116,12,0,2,138,24,0,11,72,8,116,3,0,-139,57,0,2,138

' Coordinate of WORKER_12
DATA  134, 57, 25, 30
' Sprite data of WORKER_12
DATA 9,0,-81,17,0,4,80,2,0,-81,-109,-81,15,0,-81,4,108,2,80,3,108,-81,15,0,7,80,3,108,-81,17,0
DATA 4,44,-81,3,108,2,80,12,0,2,116,2,0,-130,2,44,-117,2,80,3,108,-81,10,0,4,116,-16,2,129
DATA -45,2,116,-45,-81,3,108,-81,9,0,5,116,3,129,2,116,2,44,-81,2,108,-81,5,0,2,116,2,0,5,116
DATA -130,-45,-130,2,116,3,44,2,80,6,0,2,116,3,0,9,116,3,44,4,0,3,106,2,116,4,0,4,44,4,116
DATA 3,44,2,116,-1,2,106,3,95,2,116,3,0,6,44,8,116,-107,5,95,2,116,6,0,3,44,7,116,5,95,2,72
DATA 3,116,5,0,8,116,2,80,-96,-73,2,95,-73,3,0,2,116,7,0,-107,4,116,-81,2,108,-81,3,72,13,0
DATA -107,2,95,2,80,3,108,-81,15,0,-107,4,95,-81,4,108,3,80,-1,4,80,6,0,-107,5,95,-81,7,108
DATA -81,4,108,-81,4,0,-107,3,95,2,72,-81,13,108,-81,4,0,-107,2,95,-73,-15,-1,-81,8,108,-81
DATA 4,108,-81,2,0,3,116,-96,-73,3,0,-81,7,108,7,80,-1,7,116,2,0,-81,6,108,-81,-1,-107,3,95
DATA -73,2,0,7,116,-1,-81,5,108,2,80,-1,-107,4,95,-73,3,0,4,116,2,0,-81,5,108,-81,3,0,-107
DATA 2,95,-107,-73,5,0,2,116,3,0,7,80,3,0,-107,2,95,-107,-96,-73,10,0,-107,4,95,-73,4,0,2,72
DATA 2,95,-73,8,0,4,106,3,95,-73,6,0,3,72,7,0,-107,7,95,-73,16,0,-107,7,95,-73,17,0,7,72,12,0

' Coordinate of WORKER_13
DATA  160, 57, 30, 30
' Sprite data of WORKER_13
DATA 19,0,3,80,26,0,-81,3,108,-81,24,0,-81,4,108,5,80,16,0,4,80,4,108,-81,4,108,-81,15,0,-81
DATA 7,108,6,80,16,0,-81,5,108,2,116,4,44,19,0,5,80,-117,2,44,3,129,4,116,16,0,4,44,2,116,4,129
DATA 4,116,16,0,2,116,3,44,2,116,2,129,-45,4,116,7,0,3,116,5,0,3,116,3,44,8,116,5,0,6,116,5,106
DATA 9,116,5,44,5,0,6,116,6,95,7,116,4,44,10,0,-117,-124,-117,2,72,4,95,2,80,7,116,12,0,2,80
DATA -117,2,0,3,72,-81,2,108,-81,6,116,12,0,-81,2,108,2,80,2,0,-81,4,108,3,80,3,95,-107,11,0
DATA -81,4,108,2,80,7,108,-81,4,95,2,106,9,0,-81,13,108,-81,5,95,-73,9,0,2,80,12,108,-81,3,72
DATA 2,95,2,116,5,0,5,106,3,80,9,108,-81,3,0,-73,3,116,3,0,2,106,6,95,-73,-81,9,108,-81,4,0
DATA 5,116,-1,-107,7,95,-73,-1,9,108,-81,2,0,8,116,-1,3,72,4,95,-73,2,0,7,108,-81,4,0,6,116
DATA 5,0,5,72,3,0,7,108,2,80,4,0,3,116,16,0,-81,5,108,-81,4,0,2,116,17,0,2,80,4,108,-81,22,0
DATA 3,106,4,80,23,0,-107,2,95,5,106,21,0,-107,8,95,-73,21,0,5,72,3,95,-97,-73,25,0,4,72,8,0

' Coordinate of WORKER_14
DATA  191, 59, 22, 28
' Sprite data of WORKER_14
DATA 11,0,7,80,14,0,-81,2,108,6,80,11,0,2,80,-109,2,80,6,108,-81,10,0,-81,-109,-81,8,108,-81
DATA 10,0,12,80,10,0,-81,-45,7,116,3,44,10,0,2,44,9,116,-45,5,0,4,116,-1,2,44,-117,3,44,-117
DATA 3,44,-117,-45,5,0,5,116,-1,-45,3,116,-45,-117,-45,4,116,4,0,6,116,-1,11,116,3,0,7,116
DATA -1,2,116,2,44,4,116,2,44,-117,3,0,7,116,-1,2,116,8,44,-107,4,0,4,116,2,44,-1,4,116,4,44
DATA -117,-107,-96,5,0,4,44,2,116,-1,7,116,-107,3,95,4,0,6,116,8,106,4,95,4,0,6,116,11,95,-73
DATA 4,0,6,116,8,95,3,72,6,0,5,116,9,72,11,0,12,80,9,0,-81,12,108,2,80,6,0,-81,14,108,-81,5,0
DATA -81,16,108,-81,4,0,-81,5,108,2,80,2,0,3,80,4,108,-81,5,0,5,80,-73,4,0,-107,-73,4,80,7,0
DATA 5,72,-96,3,0,-107,-96,3,72,8,0,-107,4,95,-73,3,0,-107,3,95,-73,8,0,-107,2,95,2,72,4,0
DATA -107,3,95,-73,8,0,-107,2,72,7,0,3,72,3,0

' Coordinate of WORKER_20
DATA  81, 90, 25, 31
' Sprite data of WORKER_20
DATA 42,0,2,80,18,0,5,80,2,108,-81,17,0,-81,4,108,-81,-109,-81,17,0,2,80,4,108,-81,-109,-81
DATA 16,0,2,44,5,80,2,108,-81,13,0,3,116,6,44,-81,2,108,3,80,9,0,4,116,4,129,2,44,2,80,3,108
DATA -81,9,0,5,116,-45,3,129,3,116,2,80,-109,-81,9,0,6,116,-45,2,129,3,116,2,44,-81,11,0,11,116
DATA 3,47,12,0,9,116,-45,-48,2,44,13,0,4,44,3,116,3,44,3,116,12,0,5,44,2,116,2,44,4,116,12,0
DATA -16,11,116,12,0,3,80,9,116,12,0,-81,3,108,-81,-107,3,95,-73,14,0,-81,4,108,-81,-107,3,95
DATA -73,14,0,-81,5,108,-81,-107,3,95,-73,12,0,-81,6,108,-81,-107,3,95,-73,11,0,-81,7,108,-107
DATA 4,95,-73,11,0,-81,6,108,-81,-117,5,72,11,0,2,80,4,108,-81,5,116,10,0,3,80,2,108,-81,4,108
DATA -81,5,116,9,0,-107,7,80,2,108,-81,5,116,9,0,-107,4,95,-73,2,0,-81,-109,-81,4,116,10,0
DATA 2,106,3,95,-73,3,0,4,80,11,0,-107,5,95,-73,3,0,-107,3,72,11,0,-107,3,95,2,72,3,0,2,106
DATA 3,95,3,72,8,0,-107,3,72,5,0,-107,7,95,-73,16,0,8,72,5,0

' Coordinate of WORKER_ARM_UP_20
DATA  82, 98, 10, 8
' Sprite data of WORKER_ARM_UP_20
DATA -1,5,116,5,0,6,116,5,0,5,116,5,0,4,116,3,106,2,0,4,116,-107,3,95,-73,-1,2,116,2,0,-107
DATA 3,95,-73,5,0,-107,3,95,-73,7,0,2,72,1,0

' Coordinate of WORKER_ARM_DOWN_20
DATA  81, 106, 8, 6
' Sprite data of WORKER_ARM_DOWN_20
DATA 5,0,2,106,2,0,4,116,-107,2,95,5,116,-107,2,72,5,116,-107,-73,-1,4,116,-1,-107,4,0,2,116
DATA 4,0

' Coordinate of WORKER_21
DATA  107, 92, 27, 29
' Sprite data of WORKER_21
DATA 16,0,3,80,21,0,3,80,2,108,-81,2,0,2,80,15,0,2,80,6,108,2,80,2,108,-81,12,0,2,80,6,108
DATA 3,80,4,108,-81,11,0,-81,2,108,5,80,4,44,3,80,12,0,-81,-109,-81,2,44,-112,2,44,-130,-45
DATA -130,2,44,7,0,2,116,5,0,2,80,3,44,-117,-45,-130,-45,2,129,4,116,3,0,5,116,3,0,3,116,2,44
DATA 2,116,5,129,5,116,2,0,6,116,2,0,3,116,2,44,3,116,2,129,7,116,2,0,2,116,-112,3,116,-107
DATA -1,4,116,-45,12,116,2,0,6,116,-97,2,106,-1,7,116,3,44,4,116,5,0,3,116,-73,2,96,-96,-107
DATA -1,5,116,6,44,8,0,2,116,-1,-73,2,96,-96,-107,2,80,7,116,14,0,-73,3,95,-81,-109,-81,6,116
DATA 15,0,-73,-96,-81,3,108,2,80,2,106,11,0,4,80,2,0,2,80,5,108,-81,2,95,-107,9,0,-81,4,108
DATA 2,80,7,108,-81,3,96,-107,8,0,-81,13,108,-81,4,96,-107,7,0,-81,3,108,-81,9,108,-81,-73
DATA 3,96,-107,8,0,4,80,9,108,-81,-1,-73,-97,2,116,8,0,-107,2,96,4,80,6,108,-81,2,0,5,116,5,0
DATA 2,106,2,96,-73,3,0,-81,5,108,-81,2,0,5,116,4,0,-107,4,96,-73,4,0,-81,3,108,-105,-81,3,0
DATA 4,116,4,0,-107,5,96,-73,4,0,5,80,3,0,5,116,3,0,-107,4,96,-73,5,0,-107,3,96,-73,4,0,3,116
DATA 5,0,-107,3,72,4,0,2,106,4,96,-96,2,72,18,0,-107,8,96,-73,17,0,-107,8,96,-73,18,0,-107
DATA 8,72,8,0

' Coordinate of WORKER_22
DATA  134, 93, 25, 29
' Sprite data of WORKER_22
DATA 11,0,4,80,17,0,4,80,4,108,-81,15,0,-81,2,108,-81,-109,4,80,16,0,-81,-109,-81,-109,-81
DATA 4,44,-1,2,116,11,0,2,80,2,108,-81,3,44,2,129,-14,4,116,9,0,-81,2,108,2,80,-117,2,44,4,129
DATA 5,116,7,0,-81,2,108,-81,-45,2,116,-45,3,129,-45,5,116,8,0,-81,-109,-81,3,44,2,116,2,129
DATA -45,6,116,8,0,-81,-109,-81,3,44,6,116,2,44,12,0,2,80,3,44,5,116,5,44,12,0,2,116,2,44,4,116
DATA 5,44,11,0,-107,11,116,2,106,10,0,-107,2,96,9,116,-81,-97,-96,-107,8,0,-107,3,96,2,95,-73
DATA 7,80,3,96,-107,-1,2,116,3,0,-107,4,96,2,72,-81,6,108,-81,-73,3,96,-107,2,116,3,0,-107
DATA 3,96,-73,2,0,-81,6,108,-81,-1,-73,2,96,4,116,-1,-117,4,96,2,116,-1,-81,6,108,-81,2,0,-73
DATA -97,12,116,-1,-81,6,108,-81,3,0,-73,-97,4,116,-1,6,116,-1,-81,6,108,-81,4,0,-73,3,116
DATA 2,0,5,116,-1,-81,8,108,-81,4,0,2,116,4,0,3,116,2,0,-81,9,108,2,80,12,0,-81,8,108,-81,3,108
DATA -81,10,0,-81,3,108,11,80,10,0,-81,3,108,-81,5,0,-81,4,106,10,0,5,80,5,0,-107,2,96,-96
DATA 4,106,5,0,5,106,2,96,2,72,3,0,-107,6,96,-73,5,0,-107,7,96,-73,3,0,3,72,3,96,-73,6,0,-107
DATA 7,96,-73,6,0,3,72,8,0,-107,6,72,14,0

' Coordinate of WORKER_23
DATA  160, 93, 32, 29
' Sprite data of WORKER_23
DATA 15,0,-81,24,0,3,80,3,0,-81,-109,2,80,21,0,-81,3,108,3,80,4,108,-81,20,0,-81,-109,-81,4,108
DATA -81,3,108,-81,21,0,-81,2,44,-81,2,108,-81,4,108,2,80,21,0,2,44,3,80,6,108,-81,19,0,2,129
DATA 4,44,-117,3,80,2,108,-81,15,0,3,116,5,129,2,44,-117,3,44,-109,-81,5,0,-117,10,0,4,116
DATA -45,4,129,-45,-117,3,44,-81,5,0,3,116,9,0,6,116,-45,2,129,2,116,4,44,4,0,4,116,10,0,9,116
DATA 4,44,-117,4,106,4,116,12,0,4,44,3,116,3,44,3,116,-96,3,96,3,116,11,0,6,44,7,116,3,95,-97
DATA 2,116,15,0,9,116,-97,3,95,2,72,2,116,12,0,5,106,5,116,3,80,2,95,-73,2,0,2,116,8,0,2,124
DATA -1,-107,5,96,-96,4,80,2,108,-81,2,72,13,0,3,124,7,96,-81,6,108,-81,14,0,4,124,3,96,3,95
DATA -81,6,108,5,80,9,0,2,124,-117,3,124,5,72,-81,11,108,-81,3,0,-107,-73,3,0,5,124,-112,4,0
DATA -81,13,108,-81,2,106,2,96,-73,3,0,4,124,5,0,-81,13,108,2,80,3,96,-73,4,0,2,124,6,0,-81
DATA 12,108,-81,-107,3,96,-90,-73,11,0,-81,8,108,2,80,2,108,-81,-107,3,96,2,95,-73,10,0,-81
DATA 7,108,2,80,2,0,2,80,-107,2,96,3,95,-73,11,0,3,80,3,108,2,80,6,0,-107,3,95,2,72,10,0,5,106
DATA 2,80,-109,-81,8,0,3,72,10,0,2,106,7,96,2,80,21,0,-107,3,95,3,96,4,95,-73,21,0,11,72,15,0

' Coordinate of WORKER_24
DATA  189, 93, 29, 29
' Sprite data of WORKER_24
DATA 43,0,3,108,24,0,6,108,20,0,9,108,19,0,10,108,19,0,-109,-81,2,108,3,116,3,108,19,0,-81
DATA 2,108,2,47,2,116,-48,-45,2,47,15,0,5,108,3,47,2,116,4,47,15,0,3,108,3,47,2,129,3,116,-45
DATA -48,3,116,15,0,-117,-48,5,129,2,116,2,47,3,116,16,0,-117,-130,-45,-130,-45,-130,2,116
DATA -48,3,116,-124,15,0,13,116,3,106,9,0,3,116,-107,-117,-119,4,116,2,44,4,116,-97,2,95,-97
DATA 2,106,6,0,4,116,-97,6,116,-45,-48,3,116,-73,6,96,-107,4,0,5,116,-113,-73,2,116,4,47,5,80
DATA 2,72,4,96,3,116,6,0,2,116,4,0,-81,7,108,-81,-73,3,95,5,116,5,0,-117,5,0,-81,8,108,-81
DATA 2,72,-96,5,116,11,0,-81,9,108,-81,-1,6,116,11,0,-81,9,108,-81,-1,2,116,-1,3,116,6,0,2,106
DATA -1,2,80,11,108,-81,11,0,-107,2,96,-107,-81,13,108,-81,10,0,-107,2,96,-96,-73,-81,3,108
DATA 2,80,4,108,-81,3,108,-81,9,0,-107,3,96,-73,2,80,-109,-81,2,0,4,80,4,108,-81,9,0,-107,3,96
DATA -96,-73,2,80,6,0,6,80,9,0,-107,4,96,-73,-81,6,0,8,106,-73,8,0,-107,3,96,-73,6,0,-107,8,96
DATA -73,9,0,3,72,7,0,10,72,60,0

' Coordinate of WORKER_25
DATA  218, 90, 27, 32
' Sprite data of WORKER_25
DATA 11,0,2,108,20,0,3,108,-1,4,108,18,0,4,108,-81,5,108,17,0,3,108,-81,5,108,17,0,9,108,14,0
DATA 7,108,3,47,4,116,13,0,6,108,2,47,2,129,5,116,12,0,5,108,-45,-48,3,129,5,116,13,0,3,108
DATA 2,116,-38,-130,-45,-130,5,116,13,0,3,47,10,116,14,0,4,47,7,116,-45,15,0,-117,4,47,4,116
DATA 4,47,13,0,3,116,3,47,3,116,-45,4,47,13,0,3,116,-134,-117,-48,6,116,15,0,12,116,-81,15,0
DATA 10,116,2,108,2,80,16,0,-96,-107,-81,8,108,-81,14,0,-107,-97,7,116,4,108,-81,12,0,-107
DATA 2,96,8,116,3,108,-81,12,0,-107,2,96,6,116,6,108,-81,12,0,2,72,6,116,6,108,-81,14,0,-73
DATA 4,116,8,108,-81,11,0,-107,2,0,-81,12,108,2,80,7,0,2,106,-97,2,106,-1,-81,8,108,-81,4,108
DATA -81,6,0,-107,4,96,-81,4,108,3,80,-109,-81,5,108,-81,6,0,-107,4,96,2,95,3,80,4,0,7,80,7,0
DATA -107,5,96,-96,-73,6,0,6,106,8,0,-73,5,96,-73,4,0,2,106,5,95,-97,-73,8,0,2,72,3,96,-73
DATA 4,0,-107,7,96,-73,10,0,3,72,6,0,-96,6,72,59,0

' Coordinate of WORKER_ARM_UP_25
DATA  233, 96, 9, 11
' Sprite data of WORKER_ARM_UP_25
DATA 12,0,-117,7,0,3,116,6,0,3,116,5,0,-107,-97,2,116,5,0,-107,-97,3,116,4,0,-107,2,96,-73
DATA -117,3,0,-107,3,96,-73,2,116,2,0,-107,2,96,-73,2,0,-117,3,0,2,96,-73,7,0,-73,6,0

' Coordinate of WORKER_ARM_DOWN_25
DATA  236, 107, 9, 6
' Sprite data of WORKER_ARM_DOWN_25
DATA 4,106,2,116,3,0,-96,3,96,5,116,-1,3,96,5,116,-1,2,72,-97,5,116,3,0,-73,5,116,4,0,2,116
DATA 3,0

' Coordinate of WORKER_30
DATA  80, 128, 27, 29
' Sprite data of WORKER_30
DATA 14,0,8,80,19,0,-81,6,108,-81,19,0,-81,6,108,2,80,18,0,2,44,6,80,-109,-81,15,0,3,116,2,47
DATA -45,-48,2,44,-81,2,108,3,80,11,0,4,116,4,129,-48,-45,-81,4,108,-81,11,0,5,116,-45,3,129
DATA 2,116,3,80,-109,-81,11,0,6,116,-45,2,129,3,116,2,47,-81,13,0,11,116,3,47,14,0,9,116,4,47
DATA 15,0,4,44,3,116,-48,2,44,3,116,14,0,5,44,2,116,2,44,4,116,14,0,-16,11,116,14,0,2,80,-109
DATA 9,116,14,0,-81,4,108,-107,3,95,-73,16,0,-81,5,108,-107,3,95,-73,16,0,-81,6,108,-107,3,95
DATA -73,14,0,-81,7,108,-107,3,95,-73,13,0,-81,7,108,-107,4,95,-73,13,0,-81,7,108,-117,4,95
DATA -73,12,0,2,80,6,108,5,116,12,0,2,80,9,108,5,116,11,0,-107,2,108,6,80,2,108,5,116,11,0
DATA -107,4,95,-73,2,0,-81,2,108,4,116,12,0,2,106,3,95,-73,3,0,4,80,13,0,-107,5,95,-73,3,0
DATA 2,106,2,95,13,0,-107,3,95,2,72,3,0,-107,4,95,3,106,10,0,-107,3,72,5,0,-107,7,95,-73,18,0
DATA -107,7,72,5,0

' Coordinate of WORKER_ARM_UP_30
DATA  82, 132, 11, 10
' Sprite data of WORKER_ARM_UP_30
DATA 24,0,5,116,6,0,6,116,6,0,5,116,6,0,4,116,3,106,3,0,4,116,-107,3,95,-107,2,0,2,116,2,0
DATA 5,95,6,0,2,72,2,95,-73,8,0,2,72,1,0

' Coordinate of WORKER_ARM_DOWN_30
DATA  80, 142, 10, 6
' Sprite data of WORKER_ARM_DOWN_30
DATA 7,0,2,106,4,0,4,116,2,95,-107,2,0,6,116,-96,-73,2,0,5,116,-96,-73,3,0,4,116,-1,-73,6,0
DATA 2,116,4,0

' Coordinate of WORKER_31
DATA  108, 128, 29, 29
' Sprite data of WORKER_31
DATA 16,0,3,80,23,0,3,80,2,108,-81,2,0,2,80,17,0,2,80,7,108,-81,2,108,-81,14,0,2,80,7,108,3,80
DATA 3,108,-81,13,0,-81,2,108,5,80,4,44,3,80,14,0,-81,-109,-81,2,44,-112,2,44,-130,-45,-130
DATA 2,44,9,0,2,116,5,0,2,80,2,47,-45,-117,-45,-130,-45,2,129,4,116,5,0,5,116,3,0,3,116,2,47
DATA 2,116,5,129,5,116,4,0,6,116,2,0,3,116,2,44,3,116,2,129,7,116,4,0,2,116,-112,3,116,-107
DATA -1,4,116,-45,12,116,4,0,6,116,-96,2,106,-1,7,116,3,44,4,116,7,0,3,116,-73,3,95,-107,-1
DATA 5,116,-45,3,47,2,44,10,0,2,116,-1,-73,3,95,-107,2,80,7,116,16,0,-73,3,95,-81,-109,-81
DATA 6,116,17,0,-73,-96,-81,2,108,3,80,2,106,13,0,4,80,2,0,2,80,5,108,-81,2,95,-107,11,0,-81
DATA 4,108,2,80,7,108,-81,3,95,-107,10,0,-81,13,108,-81,4,95,-73,9,0,-81,3,108,-104,9,108,-81
DATA -73,3,95,-73,10,0,3,80,-109,-81,8,108,-81,-1,-73,-96,2,116,10,0,3,106,3,80,7,108,-81,2,0
DATA 5,116,7,0,-107,3,95,-73,-1,2,80,6,108,-81,2,0,5,116,6,0,-107,4,95,-73,3,0,2,80,3,108,-105
DATA -81,3,0,4,116,6,0,-107,5,95,-73,4,0,-81,3,108,-81,3,0,5,116,5,0,-107,4,95,-73,5,0,5,106
DATA 4,0,3,116,7,0,-107,3,72,4,0,2,106,5,95,2,72,20,0,-107,8,95,-73,19,0,-107,8,95,-73,20,0
DATA -107,8,72,10,0

' Coordinate of WORKER_32
DATA  132, 128, 29, 29
' Sprite data of WORKER_32
DATA 8,0,3,80,25,0,-81,3,108,-81,20,0,6,80,3,108,-81,19,0,-81,5,108,-81,3,108,4,80,16,0,8,80
DATA 5,108,-81,17,0,4,44,2,116,-81,4,108,-81,13,0,4,116,3,129,2,44,-117,5,80,14,0,4,116,4,129
DATA 2,116,4,44,15,0,4,116,-45,2,129,2,116,3,44,2,116,16,0,8,116,3,44,3,116,5,0,3,116,8,0,4,44
DATA 9,116,5,106,6,116,6,0,4,44,7,116,6,95,6,116,8,0,7,116,-109,2,80,3,95,2,72,-117,-124,-117
DATA 11,0,6,116,3,108,-81,-73,-96,-73,2,0,-117,2,80,10,0,-107,3,95,-81,6,108,-81,2,0,2,80,2,108
DATA -81,8,0,2,106,4,95,-81,7,108,2,80,4,108,-81,8,0,-107,5,95,-81,11,108,-81,-109,-81,7,0
DATA 2,116,2,95,3,72,-81,10,108,-81,2,108,-81,7,0,3,116,-73,3,0,-81,10,108,-81,-109,5,106,2,0
DATA 5,116,4,0,-81,9,108,-81,2,106,5,95,-73,8,116,2,0,-81,8,108,-81,-1,-107,6,95,-73,-1,6,116
DATA 4,0,-81,6,108,-81,2,0,-107,4,95,3,72,2,0,3,116,4,0,2,80,3,108,-81,-109,2,80,3,0,-107,4,72
DATA 6,0,2,116,4,0,-81,5,108,-81,22,0,-81,5,108,-81,23,0,-81,3,108,2,95,-73,21,0,5,106,2,95
DATA -73,20,0,-107,8,95,-73,18,0,-107,9,72,12,0

' Coordinate of WORKER_33
DATA  162, 128, 30, 29
' Sprite data of WORKER_33
DATA 15,0,-81,27,0,2,80,-109,-81,3,0,3,80,19,0,-81,4,108,3,80,3,108,-81,18,0,-81,5,108,-81
DATA 4,108,-81,16,0,2,80,6,108,-81,-109,2,44,-109,16,0,-81,5,108,4,80,2,44,18,0,-81,2,108,3,80
DATA -117,4,44,2,129,12,0,-117,5,0,3,80,2,44,-117,2,44,5,129,3,116,7,0,3,116,5,0,-81,3,44,-117
DATA -45,4,129,-45,4,116,7,0,4,116,4,0,-48,3,44,2,116,2,129,-45,6,116,7,0,4,116,4,106,-117
DATA 4,44,9,116,8,0,3,116,4,95,3,116,3,44,3,116,4,44,12,0,2,116,4,95,7,116,6,44,11,0,2,116
DATA 2,72,4,95,9,116,13,0,2,116,2,0,-73,2,95,2,80,-109,5,116,5,106,15,0,2,72,-81,6,108,6,95
DATA -107,-1,2,124,12,0,-81,7,108,2,95,2,96,2,95,-107,3,124,8,0,5,80,7,108,2,95,3,96,-96,4,124
DATA 2,0,2,106,3,0,-81,12,108,5,72,3,124,-117,2,124,-107,-96,-97,-73,-1,-81,13,108,-81,4,0
DATA -112,5,124,-107,-96,2,96,-73,14,108,-81,5,0,4,124,-1,-107,-90,3,96,-73,13,108,-81,6,0
DATA 2,124,2,0,-107,4,95,2,72,3,108,2,80,8,108,-81,10,0,-73,5,95,-73,2,80,2,0,2,80,7,108,-81
DATA 10,0,2,72,3,95,-73,6,0,-81,6,108,-81,12,0,3,72,8,0,-81,3,108,5,106,21,0,-81,-109,2,106
DATA 5,95,-107,-73,18,0,3,106,8,95,-73,19,0,10,72,5,0

' Coordinate of WORKER_34
DATA  193, 128, 24, 29
' Sprite data of WORKER_34
DATA 85,0,2,80,15,0,3,80,2,0,2,80,2,108,-81,13,0,-81,3,108,2,80,5,108,-81,12,0,-81,10,108,-81
DATA 13,0,2,80,3,108,6,80,11,0,-81,3,108,3,80,3,44,-48,2,44,10,0,-81,3,108,4,44,-117,4,44,2,116
DATA 8,0,5,80,3,129,-45,2,116,3,44,3,116,9,0,3,116,-130,-45,-130,3,116,2,44,4,116,8,0,15,116
DATA -96,-73,7,0,7,116,2,44,5,116,2,95,2,72,6,0,6,116,4,44,3,116,-107,3,95,-73,7,0,2,116,4,44
DATA 5,116,-123,-107,4,95,-73,4,0,2,116,2,0,4,44,4,116,2,108,-107,4,95,-73,4,0,7,116,-81,7,108
DATA -107,5,116,3,0,6,116,-127,-81,8,108,5,116,3,0,7,116,-81,8,108,5,116,4,0,3,116,-1,-81,10,108
DATA 5,116,7,0,-81,12,108,4,116,6,0,-81,3,108,-81,9,108,2,95,-73,7,0,-81,3,108,-81,9,108,3,95
DATA -73,6,0,4,80,-109,6,0,-81,-109,4,106,-96,-73,5,0,5,106,-73,5,0,-81,-107,5,95,-73,4,0,-107
DATA 6,95,-73,4,0,-107,6,95,-73,4,0,-107,6,95,-73,4,0,-107,5,95,-73,5,0,8,72,5,0,5,72,2,0

' Coordinate of WORKER_35
DATA  214, 127, 26, 30
' Sprite data of WORKER_35
DATA 6,0,2,80,23,0,-81,2,108,5,80,18,0,-81,2,108,-81,3,108,-81,17,0,-81,2,108,-81,4,108,-81
DATA 16,0,-81,3,108,4,80,-48,-45,13,0,2,80,4,108,-45,-48,3,44,-48,3,116,11,0,-81,3,108,2,80
DATA 2,44,4,129,4,116,10,0,-81,-109,3,80,2,116,3,129,-45,5,116,11,0,-81,-45,-48,3,116,2,129
DATA -45,6,116,11,0,3,47,11,116,12,0,-48,2,44,-48,9,116,12,0,3,116,2,44,-48,3,116,3,44,-48
DATA 13,0,4,116,2,44,2,116,5,44,14,0,11,116,-16,15,0,9,116,-109,2,80,17,0,-107,3,95,-73,4,108
DATA -81,16,0,-107,3,95,-73,5,108,-81,14,0,-107,3,95,-73,6,108,-81,14,0,-107,3,95,-73,7,108
DATA -81,13,0,-107,4,95,-73,7,108,-81,12,0,-107,3,95,-73,-117,7,108,-81,14,0,5,116,6,108,-81
DATA 13,0,5,116,5,108,-81,2,108,3,80,10,0,5,116,3,108,4,80,3,108,-73,11,0,4,116,2,108,-81,2,0
DATA -107,4,95,-73,13,0,-81,2,108,-81,3,0,-107,4,95,-73,13,0,-107,2,95,-73,3,0,-107,3,95,-73
DATA -96,-73,9,0,4,106,3,95,-73,3,0,-107,4,95,-73,8,0,-107,4,95,-107,2,95,-73,5,0,4,72,9,0
DATA 8,72,13,0

' Coordinate of WORKER_ARM_UP_35
DATA  228, 134, 13, 8
' Sprite data of WORKER_ARM_UP_35
DATA 4,0,5,116,7,0,6,116,7,0,5,116,6,0,2,106,-96,4,116,5,0,-107,3,95,-73,4,116,4,0,-107,3,95
DATA -73,2,0,2,116,4,0,3,95,2,72,9,0,-96,-73,10,0

' Coordinate of WORKER_ARM_DOWN_35
DATA  231, 142, 10, 6
' Sprite data of WORKER_ARM_DOWN_35
DATA -1,-107,-73,7,0,-107,-96,-73,4,116,3,0,2,95,6,116,3,0,-96,-73,5,116,4,0,-73,-1,4,116,6,0
DATA 2,116,4,0

' Coordinate of WORKER_41
DATA  108, 163, 26, 31
' Sprite data of WORKER_41
DATA 32,0,2,80,23,0,-81,2,108,-81,21,0,-81,2,108,6,80,16,0,-81,2,108,-81,5,108,-81,14,0,2,80
DATA 2,108,-81,-109,6,44,14,0,-81,3,108,-81,3,44,3,116,2,0,4,116,9,0,-81,2,108,-81,-117,-45
DATA 6,116,-1,5,116,8,0,2,80,2,44,3,116,2,44,4,116,-45,4,116,8,0,2,44,-48,-45,9,116,-45,5,116
DATA 6,0,3,116,2,44,9,116,-45,5,116,6,0,8,116,6,44,6,116,6,0,9,116,3,44,2,108,4,116,9,0,11,116
DATA -109,6,116,11,0,9,106,6,116,10,0,-107,9,95,6,116,10,0,-107,9,95,5,116,-81,10,0,-107,9,95
DATA 6,108,-81,10,0,9,72,6,108,-81,11,0,-81,10,108,-81,3,108,3,106,9,0,-81,9,108,-81,2,108
DATA -107,3,95,-73,8,0,-81,8,108,2,80,2,106,4,95,-73,8,0,-81,5,108,-81,3,0,-81,-107,4,95,-73
DATA 9,0,-81,5,108,-81,3,0,-107,4,95,-73,10,0,-81,5,108,-81,3,0,-107,2,95,2,72,11,0,-81,4,108
DATA 2,106,-73,3,0,2,72,14,0,-81,-109,2,106,2,95,-73,19,0,-81,-107,3,95,2,72,19,0,-107,3,95
DATA -73,21,0,-107,3,95,-73,22,0,3,72,15,0

' Coordinate of WORKER_42
DATA  135, 163, 25, 28
' Sprite data of WORKER_42
DATA 14,0,3,80,2,0,4,108,14,0,2,80,2,108,-81,7,108,13,0,-81,2,108,-81,7,108,12,0,2,80,3,108
DATA -81,4,44,14,0,-81,3,108,2,80,-117,2,44,-130,2,0,2,116,10,0,-81,3,108,-81,-45,2,116,-45
DATA 2,129,-16,4,116,2,0,2,116,5,0,-81,2,108,-81,2,44,2,116,3,129,5,116,2,0,2,116,6,0,2,80
DATA 2,47,-45,2,116,-130,-45,-130,5,116,3,0,2,116,3,106,4,0,3,44,9,116,4,0,2,116,3,95,2,106
DATA -1,2,116,3,44,4,116,4,44,4,0,2,116,5,95,-107,8,116,5,44,-48,2,0,3,116,2,72,5,95,7,116
DATA 3,44,5,0,2,116,3,0,2,72,3,95,2,108,8,116,12,0,2,72,-81,3,108,4,116,17,0,-81,4,108,-81
DATA 3,106,8,0,4,80,-1,2,80,5,108,-81,4,95,-107,6,0,-81,4,108,-81,7,108,-81,5,95,-107,5,0,-81
DATA 13,108,-81,2,72,3,95,-73,4,0,-81,3,108,-81,9,108,-81,2,0,-73,2,95,-73,4,0,3,80,2,108,2,80
DATA 7,108,-81,3,0,-73,-96,3,116,3,0,-107,3,95,-73,-1,-81,6,108,-81,2,0,7,116,2,0,-107,-96
DATA -107,2,95,-73,-1,2,80,5,108,-81,-1,7,116,3,0,-107,3,95,-73,3,0,-81,5,108,-81,2,0,4,116
DATA 3,0,-107,4,95,-73,3,0,7,80,3,0,2,116,4,0,-107,2,95,2,72,4,0,-107,2,95,3,106,10,0,-107
DATA 2,72,6,0,-107,5,95,-107,-73,17,0,-107,7,95,-73,16,0,-107,8,72,5,0

' Coordinate of WORKER_43
DATA  161, 163, 30, 28
' Sprite data of WORKER_43
DATA 7,0,3,80,3,0,-81,-109,2,80,19,0,-81,3,108,3,80,4,108,-81,18,0,-81,-109,-81,4,108,-81,3,108
DATA -81,19,0,-81,2,44,-81,2,108,-81,4,108,2,80,19,0,2,44,4,80,5,108,-81,17,0,2,129,4,44,-117
DATA 3,80,2,108,-81,13,0,3,116,5,129,2,44,-117,3,44,2,80,5,0,-117,8,0,4,116,-45,4,129,-45,-117
DATA 3,44,-81,5,0,3,116,7,0,6,116,-45,2,129,2,116,4,44,4,0,4,116,8,0,9,116,4,44,-117,4,106
DATA 4,116,10,0,2,47,2,44,3,116,3,44,3,116,-96,3,96,3,116,9,0,-48,5,44,7,116,3,95,-97,2,116
DATA 13,0,9,116,-97,3,95,2,72,2,116,10,0,5,106,5,116,2,108,-81,2,95,-73,2,0,2,116,6,0,2,124
DATA -1,-107,3,96,3,95,-81,5,108,-81,2,72,11,0,3,124,4,96,-96,2,96,-81,6,108,-81,12,0,4,124
DATA 3,96,3,95,-81,7,108,4,80,7,0,2,124,-117,3,124,5,72,-81,11,108,-81,3,0,2,106,-1,5,124,-112
DATA 4,0,-81,13,108,-81,-1,-107,2,95,-73,-1,4,124,5,0,-81,13,108,-81,-107,-97,2,95,-73,2,0
DATA 2,124,6,0,-81,12,108,-81,-107,2,96,-96,-90,-73,9,0,-81,8,108,2,80,2,108,-81,-107,2,96
DATA 3,95,-73,8,0,-81,4,108,-81,2,108,2,80,2,0,2,80,-107,2,96,3,95,-73,9,0,4,80,2,108,2,80
DATA 6,0,-107,3,95,2,72,8,0,5,106,2,80,-109,-81,8,0,3,72,8,0,2,106,5,96,2,106,2,80,19,0,-107
DATA 3,95,3,96,4,95,-73,19,0,10,72,15,0

' Coordinate of WORKER_52
DATA  108, 190, 61, 19
' Sprite data of WORKER_52
DATA 138,0,3,80,43,0,-139,13,0,-81,3,108,-81,43,0,2,138,8,0,6,80,-109,-81,45,0,-139,7,0,-81
DATA 5,108,-81,-109,2,80,52,0,-81,-109,2,116,-109,-81,3,108,2,80,44,0,2,116,5,0,6,116,4,108
DATA -81,26,0,2,138,9,0,-139,6,0,3,116,3,0,2,44,5,116,3,80,25,0,2,138,12,0,2,138,4,0,3,116
DATA -1,5,116,2,44,2,116,-45,-48,-45,4,0,5,80,6,0,3,106,27,0,3,116,-1,9,116,-45,-48,-45,-117
DATA 2,0,-81,5,108,-81,4,0,-107,2,95,-73,7,0,8,138,11,0,15,116,-45,2,116,2,0,-81,5,108,-81
DATA 3,0,-81,-107,3,95,-73,24,0,6,116,5,44,-48,-45,5,116,2,106,-1,-81,6,108,-81,-1,-81,2,108
DATA -107,3,95,-73,19,0,3,138,7,0,2,116,4,44,6,106,3,95,8,108,-81,4,108,-107,3,95,-73,5,0,5,138
DATA 7,0,-139,11,0,4,116,-107,9,95,-73,7,108,-81,4,108,-107,3,95,-73,10,0,4,138,11,0,4,116
DATA 4,0,-107,9,95,-73,11,108,-81,-1,4,72,24,0,8,116,11,95,-73,11,80,10,0,2,138,14,0,-139,3,0
DATA 8,116,11,72,24,0,2,138,10,0,2,138,49,0,-139,7,0

' Coordinate of CEMENT_LEFT_1
DATA  89, 53, 10, 9
' Sprite data of CEMENT_LEFT_1
DATA 5,0,5,92,2,0,3,92,5,73,-1,-93,8,73,-93,9,73,-93,9,73,-1,-93,8,73,2,0,-93,7,73,2,0,-93
DATA 5,73,2,38,3,0,5,38,2,0

' Coordinate of CEMENT_LEFT_2
DATA  71, 57, 17, 11
' Sprite data of CEMENT_LEFT_2
DATA 10,0,3,92,11,0,3,92,2,73,-39,9,0,2,92,5,73,-39,6,0,3,92,5,73,-93,-39,-74,-39,4,0,-93,12,73
DATA -39,2,0,-93,11,73,-93,-39,2,73,-39,-93,15,73,-39,-93,4,73,-93,10,73,-39,-1,-93,2,38,-93
DATA -39,9,73,-39,5,0,-39,6,73,4,38,7,0,6,38,6,0

' Coordinate of CEMENT_LEFT_3
DATA  46, 64, 24, 12
' Sprite data of CEMENT_LEFT_3
DATA 14,0,3,92,18,0,3,92,2,73,-93,15,0,3,92,4,73,-93,14,0,2,92,8,73,-93,11,0,2,92,10,73,7,92
DATA -39,3,0,-93,11,73,-93,6,73,-39,2,0,2,92,19,73,-39,-1,-93,8,73,-39,-93,10,73,-39,2,0,-93
DATA 7,73,-39,-93,6,73,-39,-93,3,73,-39,2,0,-93,6,73,-39,-93,6,73,-39,-93,3,73,-39,4,0,6,38
DATA -1,-93,5,73,-39,-93,3,73,-39,12,0,6,38,2,0,3,38,5,0

' Coordinate of CEMENT_LEFT_4
DATA  43, 78, 25, 7
' Sprite data of CEMENT_LEFT_4
DATA 25,92,150,73

' Coordinate of CEMENT_LEFT_5
DATA  43, 86, 25, 6
' Sprite data of CEMENT_LEFT_5
DATA 25,92,125,73

' Coordinate of CEMENT_LEFT_6
DATA  43, 93, 25, 7
' Sprite data of CEMENT_LEFT_6
DATA 25,92,2,0,23,73,4,0,21,73,6,0,18,73,9,0,16,73,11,0,13,73,14,0,11,73,2,0

' Coordinate of CEMENT_LEFT_7
DATA  53, 106, 16, 11
' Sprite data of CEMENT_LEFT_7
DATA 3,0,2,92,6,0,2,92,6,0,-93,-74,-93,-1,2,92,-1,-93,2,73,-39,4,0,-93,3,73,-39,-93,-74,-39
DATA -93,2,73,-39,4,0,-93,3,73,-39,-93,-74,-39,-93,3,73,-39,2,0,-93,7,73,-39,-93,3,73,-39,2,0
DATA -93,13,73,-39,-93,14,73,-39,2,92,13,73,-39,-1,-39,3,73,-39,5,73,-39,2,73,-39,3,0,4,38
DATA 4,73,4,38,8,0,4,38,6,0

' Coordinate of CEMENT_LEFT_8
DATA  43, 118, 25, 7
' Sprite data of CEMENT_LEFT_8
DATA 25,92,150,73

' Coordinate of CEMENT_LEFT_9
DATA  43, 126, 25, 6
' Sprite data of CEMENT_LEFT_9
DATA 25,92,125,73

' Coordinate of CEMENT_LEFT_10
DATA  43, 133, 25, 7
' Sprite data of CEMENT_LEFT_10
DATA 25,92,2,0,23,73,4,0,21,73,6,0,18,73,9,0,16,73,11,0,13,73,14,0,11,73,2,0

' Coordinate of CEMENT_LEFT_11
DATA  53, 146, 16, 11
' Sprite data of CEMENT_LEFT_11
DATA 3,0,2,92,6,0,2,92,6,0,-93,-74,-93,-1,2,92,-1,-93,2,73,-39,4,0,-93,3,73,-93,2,73,2,92,2,73
DATA -39,4,0,-93,3,73,-93,3,73,-93,3,73,-39,2,0,-93,12,73,-39,2,0,-93,13,73,-39,-93,14,73,-39
DATA 2,92,13,73,-39,-1,-39,3,73,-39,5,73,-39,2,73,-39,3,0,4,38,4,73,4,38,8,0,4,38,6,0

' Coordinate of CEMENT_LEFT_OUT_1
DATA  20, 75, 15, 23
' Sprite data of CEMENT_LEFT_OUT_1
DATA 11,0,4,92,10,0,-93,2,73,-39,10,0,-93,3,73,-39,7,0,3,92,3,73,-39,7,0,-93,6,73,-39,6,0,-93
DATA 7,73,-39,6,0,-93,7,73,-39,5,0,-93,8,73,-39,4,0,-93,9,73,-39,4,0,-93,9,73,-39,3,0,-93,10,73
DATA -39,3,0,-93,10,73,-39,2,0,-93,11,73,-39,2,0,-93,11,73,-39,2,0,-93,11,73,-39,2,0,-93,11,73
DATA -39,2,0,-93,11,73,-39,2,0,-93,11,73,-39,3,0,-93,4,73,-39,-93,4,73,-39,4,0,-39,2,73,-39
DATA -93,5,73,-39,5,0,2,38,-93,5,73,-39,8,0,-39,4,73,-39,10,0,5,38,4,0

' Coordinate of CEMENT_LEFT_OUT_2
DATA  18, 117, 14, 22
' Sprite data of CEMENT_LEFT_OUT_2
DATA 8,0,2,92,-39,11,0,-93,-74,-39,-1,-93,-39,6,0,2,92,2,73,-39,-93,-74,-39,5,0,-93,3,73,-39
DATA -93,2,73,-39,4,0,-93,4,73,-39,-93,2,73,-39,3,0,-93,4,73,-39,-93,3,73,-39,3,0,-93,9,73
DATA -39,2,0,-93,10,73,-39,-1,-93,11,73,-39,-1,-93,11,73,-39,-93,12,73,-39,-93,12,73,-39,-93
DATA 12,73,-39,-93,12,73,-39,-93,12,73,-39,-93,6,73,-39,5,73,-39,-93,5,73,-39,-93,5,73,-39
DATA -1,-93,3,73,2,38,-93,5,73,-39,-1,-93,3,38,-1,-93,6,73,-39,7,0,-39,4,73,-39,9,0,-39,2,73
DATA 2,38,10,0,2,38,3,0

' Coordinate of CEMENT_LEFT_OUT_3
DATA  15, 144, 28, 19
' Sprite data of CEMENT_LEFT_OUT_3
DATA 14,0,-93,27,0,-93,26,0,-93,-74,-39,20,0,3,92,2,0,-93,2,73,-39,18,0,-93,2,73,-39,-1,-93
DATA 4,73,-39,16,0,-93,3,73,-39,-93,6,73,-39,14,0,-93,3,73,-39,-93,8,73,-39,12,0,-93,3,73,-39
DATA -93,10,73,2,38,9,0,-93,18,73,-39,7,0,-93,20,73,-39,6,0,-93,21,73,2,38,3,0,-93,14,73,-39
DATA -93,8,73,-39,-1,-93,14,73,-39,-93,9,73,-39,-1,-93,12,73,3,38,-93,10,73,-39,-93,11,73,-39
DATA 3,0,-93,10,73,-39,-93,7,73,4,38,5,0,-93,9,73,-39,-93,5,73,2,38,11,0,-39,6,73,-39,-1,-39
DATA 4,73,-39,14,0,6,38,3,0,4,38,23,0

' Coordinate of CEMENT_RIGHT_1
DATA  224, 53, 10, 9
' Sprite data of CEMENT_RIGHT_1
DATA 5,92,5,0,5,73,3,92,2,0,8,73,-39,-1,9,73,-39,9,73,-39,8,73,-39,-1,7,73,-39,2,0,2,38,5,73
DATA -39,4,0,5,38,3,0

' Coordinate of CEMENT_RIGHT_2
DATA  235, 57, 17, 11
' Sprite data of CEMENT_RIGHT_2
DATA 4,0,3,92,14,0,-93,2,73,3,92,11,0,2,92,4,73,2,92,8,0,-93,-74,-39,-93,5,73,3,92,4,0,2,92
DATA 2,73,-39,8,73,-39,-1,2,92,-74,-39,-93,11,73,-39,-93,3,73,-39,11,73,-39,-93,9,73,-39,-93
DATA 4,73,-39,-1,-39,9,73,-39,-93,3,38,3,0,4,38,6,73,-39,10,0,6,38,5,0

' Coordinate of CEMENT_RIGHT_3
DATA  253, 64, 24, 12
' Sprite data of CEMENT_RIGHT_3
DATA 7,0,3,92,21,0,-93,2,73,3,92,19,0,-93,4,73,3,92,15,0,-93,8,73,2,92,6,0,-39,6,92,11,73,2,92
DATA 5,0,-39,18,73,-39,4,0,-39,19,73,2,38,3,0,-39,9,73,-93,10,73,-39,2,0,-39,4,73,-39,-93,3,73
DATA -39,-93,9,73,-39,3,0,-39,4,73,-39,-93,3,73,-39,-93,8,73,-39,4,0,-39,3,73,-39,-93,4,73
DATA 2,38,-1,6,38,6,0,3,38,2,0,6,38,8,0

' Coordinate of CEMENT_RIGHT_4
DATA  255, 78, 25, 7
' Sprite data of CEMENT_RIGHT_4
DATA 25,92,150,73

' Coordinate of CEMENT_RIGHT_5
DATA  255, 86, 25, 6
' Sprite data of CEMENT_RIGHT_5
DATA 25,92,125,73

' Coordinate of CEMENT_RIGHT_6
DATA  255, 93, 25, 7
' Sprite data of CEMENT_RIGHT_6
DATA 25,92,23,73,2,0,21,73,5,0,18,73,7,0,16,73,10,0,13,73,12,0,11,73,12,0

' Coordinate of CEMENT_RIGHT_7
DATA  252, 106, 21, 11
' Sprite data of CEMENT_RIGHT_7
DATA 5,0,2,92,6,0,2,38,10,0,-93,2,73,-39,-1,-93,-39,-1,-93,-74,-39,10,0,-93,3,73,-39,-93,-74
DATA -39,-93,2,73,-39,8,0,-93,4,73,-39,-93,-74,-39,-93,2,73,-39,8,0,-93,12,73,-39,6,0,-93,13,73
DATA -39,6,0,-93,14,73,-39,5,0,-93,14,73,-39,6,0,-93,3,73,-39,4,73,-39,3,73,-39,8,0,4,38,4,73
DATA 4,38,13,0,4,38,9,0

' Coordinate of CEMENT_RIGHT_8
DATA  255, 118, 25, 7
' Sprite data of CEMENT_RIGHT_8
DATA 25,92,150,73

' Coordinate of CEMENT_RIGHT_9
DATA  255, 126, 25, 6
' Sprite data of CEMENT_RIGHT_9
DATA 25,92,125,73

' Coordinate of CEMENT_RIGHT_10
DATA  255, 133, 25, 7
' Sprite data of CEMENT_RIGHT_10
DATA 25,92,23,73,2,0,21,73,5,0,18,73,7,0,16,73,10,0,13,73,12,0,11,73,12,0

' Coordinate of CEMENT_RIGHT_11
DATA  254, 146, 16, 11
' Sprite data of CEMENT_RIGHT_11
DATA 3,0,2,92,6,0,-93,-39,5,0,-93,2,73,-93,-1,2,92,-1,-93,-74,-39,5,0,-93,3,73,-39,-93,-74
DATA -39,-93,2,73,-39,3,0,-93,11,73,-39,3,0,-93,12,73,-39,-1,-93,13,73,-39,-1,-93,14,73,-39
DATA -93,14,73,-39,-1,-93,3,73,-39,-93,3,73,-39,-93,2,73,-39,3,0,4,38,-93,3,73,-39,-93,2,38
DATA 8,0,4,38,6,0

' Coordinate of CEMENT_RIGHT_OUT_1
DATA  288, 75, 15, 23
' Sprite data of CEMENT_RIGHT_OUT_1
DATA 4,92,12,0,-93,2,73,-93,11,0,-93,3,73,-93,11,0,-93,3,73,3,92,8,0,-93,6,73,-93,7,0,-93,7,73
DATA -93,6,0,-93,7,73,-93,6,0,-93,8,73,-93,5,0,-93,9,73,-39,4,0,-93,9,73,-39,4,0,-93,10,73
DATA -39,3,0,-93,10,73,-39,3,0,-93,11,73,-39,2,0,-93,11,73,-39,2,0,-93,11,73,-39,2,0,-93,11,73
DATA -39,2,0,-93,11,73,-39,2,0,-93,6,73,-39,-93,3,73,-39,2,0,-93,7,73,-39,-93,-74,-39,3,0,-93
DATA 8,73,2,38,5,0,-93,6,73,2,38,7,0,-39,4,73,-39,9,0,5,38,6,0

' Coordinate of CEMENT_RIGHT_OUT_2
DATA  291, 117, 14, 22
' Sprite data of CEMENT_RIGHT_OUT_2
DATA 3,0,3,92,8,0,2,92,-1,-93,-74,-39,8,0,-93,2,73,-39,-93,-74,2,38,6,0,-93,2,73,-39,-93,3,73
DATA -39,5,0,-93,3,73,-39,-93,3,73,-39,4,0,-93,4,73,-39,-93,3,73,-39,3,0,-93,9,73,-39,3,0,-93
DATA 10,73,-39,2,0,-93,11,73,-39,-1,-93,11,73,-39,-1,-93,12,73,-39,-93,12,73,-39,-93,12,73
DATA -39,-93,12,73,-39,-93,5,73,-39,-93,5,73,-39,-93,6,73,-39,-93,4,73,-39,-93,7,73,-39,-93
DATA 3,73,-39,-93,7,73,-39,-93,2,73,-39,-1,-93,6,73,-39,-1,4,38,2,0,-93,4,73,-39,8,0,-93,-39
DATA 2,73,-39,11,0,2,38,9,0

' Coordinate of CEMENT_RIGHT_OUT_3
DATA  280, 144, 28, 19
' Sprite data of CEMENT_RIGHT_OUT_3
DATA 13,0,-93,27,0,-93,26,0,-93,-74,-39,24,0,-93,2,73,-39,2,0,3,92,18,0,-93,4,73,-39,-1,-93
DATA 2,73,-39,16,0,-93,6,73,-39,-93,3,73,-39,14,0,-93,7,73,-39,-93,5,73,11,0,2,92,9,73,-39
DATA 6,73,9,0,-93,19,73,7,0,-93,21,73,4,0,2,92,9,73,-93,12,73,3,0,-93,10,73,-39,-93,13,73,2,0
DATA -93,9,73,-39,-93,15,73,-93,10,73,-39,-93,2,38,13,73,-93,10,73,-39,3,0,-93,12,73,-93,8,73
DATA 2,38,5,0,-93,3,38,8,73,-1,-93,6,73,-39,11,0,2,38,6,73,2,0,6,38,14,0,-93,5,73,23,0,-93
DATA 3,73,1,0

' Coordinate of DRIVER_LEFT_OK
DATA  17, 160, 30, 26
' Sprite data of DRIVER_LEFT_OK
DATA 10,0,5,60,23,0,9,60,20,0,11,60,18,0,-65,12,60,15,0,5,60,8,49,3,60,4,0,-135,-45,-135,-45
DATA -135,2,0,6,60,-50,2,31,5,124,2,31,3,49,3,0,-135,-45,-135,-45,-135,-45,-135,-61,6,49,4,31
DATA 3,124,4,31,3,44,2,0,2,134,-45,4,134,5,0,-32,-50,11,124,-45,2,124,-45,2,0,6,134,5,0,2,44
DATA -125,3,44,3,124,3,44,4,124,-45,3,49,5,134,4,0,-45,2,134,14,124,-45,-50,2,60,3,49,-135
DATA 5,0,-45,-135,5,124,-45,2,124,-45,6,124,-45,-50,5,60,-50,6,0,2,44,3,124,-45,4,124,-45,3,124
DATA 2,44,2,49,5,60,8,0,-45,4,124,4,44,4,124,-45,2,49,5,60,-50,9,0,-45,10,124,-45,2,49,5,60
DATA -50,11,0,-45,3,124,2,44,2,124,2,44,2,49,6,60,13,0,2,44,4,124,-45,3,49,5,60,17,0,-45,2,124
DATA -45,2,49,5,60,20,0,2,44,2,49,5,60,23,0,-50,5,60,23,0,-50,6,60,22,0,-50,6,60,-50,22,0,5,49
DATA -61,-50,23,0,6,134,23,0,4,134,-45,2,134,23,0,2,134,-45,2,134,-45,-135,24,0,2,134,-45,2,134
DATA 13,0

' Coordinate of DRIVER_LEFT_GOTCHA
DATA  2, 170, 39, 36
' Sprite data of DRIVER_LEFT_GOTCHA
DATA 131,0,-92,-86,36,0,-74,4,91,32,0,3,91,-91,-1,-74,2,91,30,0,3,91,4,0,-74,-92,30,0,-74,-92
DATA 6,0,-74,-92,30,0,2,91,5,0,-74,-92,30,0,-74,-92,5,0,-74,-86,30,0,-74,2,91,4,0,-92,25,0
DATA 4,91,3,0,2,73,-92,2,0,2,91,24,0,2,91,-1,2,73,-92,4,0,-74,-92,-1,-92,24,0,-74,-92,3,0,-74
DATA -92,32,0,-74,-92,4,0,-92,33,0,-74,-92,2,0,2,91,34,0,-74,3,91,6,0,7,73,23,0,3,73,4,0,2,73
DATA 5,91,-34,-92,-74,28,0,7,91,-34,2,91,2,73,26,0,-74,2,91,3,33,2,91,-120,-34,2,91,2,73,2,0
DATA 6,35,17,0,-74,4,91,-120,-34,2,119,-122,-120,2,91,-74,-1,2,60,5,35,16,0,2,73,4,91,-120
DATA 2,121,3,119,2,91,2,73,6,60,2,35,15,0,-74,5,91,-74,3,119,2,73,3,91,2,73,5,60,3,35,13,0
DATA 2,73,6,91,3,73,6,91,-74,5,60,-36,4,24,10,0,-74,12,91,-34,5,91,-74,3,60,3,39,-61,3,35,9,0
DATA -74,10,91,4,33,4,91,-74,-66,2,39,4,60,4,35,7,0,-74,10,91,5,33,3,91,-74,-86,-40,7,60,3,35
DATA 7,0,-74,11,91,2,33,5,91,-74,2,91,8,60,2,35,6,0,-74,16,91,4,73,2,91,-76,6,60,-1,2,35,6,0
DATA -74,4,91,5,73,4,91,4,73,6,91,6,60,9,0,6,73,4,91,4,73,12,91,-74,-61,14,0,-74,22,91,-74
DATA -61,13,0,-74,19,91,5,73,-61,14,0,-74,17,91,-74,20,0,18,73,51,0

' Coordinate of DRIVER_RIGHT_OK
DATA  276, 160, 32, 27
' Sprite data of DRIVER_RIGHT_OK
DATA 15,0,5,60,25,0,9,60,22,0,11,60,20,0,12,60,-65,9,0,-135,-45,-135,-45,-135,4,0,3,60,8,49
DATA 5,60,6,0,-135,-45,-135,-45,-135,-45,-135,3,0,3,49,2,31,5,124,2,31,-50,6,60,3,0,4,134,-45
DATA 2,134,2,0,3,44,4,31,3,124,4,31,6,49,-61,2,0,6,134,2,0,-45,2,124,-45,11,124,-50,-32,7,0
DATA 5,134,3,49,-45,4,124,3,44,3,124,3,44,-125,2,44,8,0,-135,3,49,2,60,-50,-45,14,124,2,134
DATA -45,7,0,-50,5,60,-50,-45,6,124,-45,2,124,-45,5,124,-135,-45,8,0,5,60,2,49,2,44,3,124,-45
DATA 4,124,-45,3,124,2,44,9,0,-50,5,60,2,49,-45,4,124,4,44,4,124,-45,11,0,-50,5,60,2,49,-45
DATA 10,124,-45,13,0,6,60,2,49,2,44,2,124,2,44,3,124,-45,16,0,5,60,3,49,-45,4,124,2,44,19,0
DATA 5,60,2,49,-45,2,124,-45,22,0,5,60,2,49,2,44,24,0,5,60,-50,26,0,6,60,-50,25,0,-50,6,60
DATA -50,25,0,-50,-61,5,49,26,0,6,134,26,0,2,134,-45,4,134,25,0,-135,-45,2,134,-45,2,134,26,0
DATA 2,134,-45,2,134,46,0

' Coordinate of DRIVER_RIGHT_GOTCHA
DATA  282, 169, 36, 36
' Sprite data of DRIVER_RIGHT_GOTCHA
DATA 167,0,-86,-92,32,0,4,91,-74,30,0,2,91,-74,-1,-91,3,91,28,0,-92,-74,4,0,3,91,26,0,-92,-74
DATA 6,0,-92,-74,26,0,-92,-74,5,0,2,91,27,0,-86,-74,5,0,-92,-74,28,0,-92,4,0,2,91,-74,28,0
DATA 2,91,2,0,-92,2,73,3,0,4,91,23,0,-92,-1,-92,-74,4,0,-92,2,73,-1,2,91,30,0,-92,-74,3,0,-92
DATA -74,29,0,-92,4,0,-92,-74,29,0,2,91,2,0,-92,-74,18,0,7,73,6,0,3,91,-74,18,0,-74,-92,-34
DATA 5,91,2,73,4,0,3,73,18,0,2,73,2,91,-34,7,91,15,0,6,35,2,0,2,73,2,91,-34,-120,2,91,3,33
DATA 2,91,-74,14,0,5,35,2,60,-1,-74,2,91,-120,-122,2,119,-34,-120,4,91,-74,13,0,2,35,6,60,2,73
DATA 2,91,3,119,2,121,-120,4,91,2,73,11,0,3,35,5,60,2,73,3,91,2,73,3,119,-74,5,91,-74,9,0,4,24
DATA -36,5,60,-74,6,91,3,73,6,91,2,73,7,0,3,35,-61,3,39,3,60,-74,5,91,-34,12,91,-74,5,0,4,35
DATA 4,60,2,39,-66,-74,4,91,4,33,10,91,-74,5,0,3,35,7,60,-40,-86,-74,3,91,5,33,10,91,-74,4,0
DATA 2,35,8,60,2,91,-74,5,91,2,33,11,91,-74,4,0,2,35,-1,6,60,-76,2,91,4,73,16,91,-74,6,0,6,60
DATA 6,91,4,73,4,91,5,73,4,91,-74,8,0,-61,-74,12,91,4,73,4,91,6,73,8,0,-61,-74,22,91,-74,11,0
DATA -61,5,73,19,91,-74,16,0,-74,17,91,-74,18,0,18,73,6,0

' Coordinate of DING_BODY
DATA  212, 171, 30, 38
' Sprite data of DING_BODY
DATA 104,0,4,93,21,0,4,93,-46,5,93,19,0,6,93,-46,5,93,18,0,6,93,-89,-46,4,93,-46,-94,18,0,3,93
DATA 4,45,5,93,17,0,4,44,3,116,2,45,4,93,16,0,-45,3,116,-45,5,116,-45,3,93,15,0,-45,5,116,3,44
DATA 2,116,3,44,-94,15,0,-45,10,116,4,44,16,0,9,116,4,44,-117,16,0,-45,8,116,3,44,3,116,16,0
DATA 3,44,6,116,-45,4,116,16,0,6,116,-45,7,116,16,0,3,116,4,44,6,116,-19,17,0,10,116,4,106
DATA 17,0,8,116,2,106,2,96,-73,21,0,4,116,-107,3,96,2,72,20,0,4,116,-107,4,96,-73,-16,19,0
DATA 2,116,2,45,-107,4,96,-73,4,93,16,0,2,45,2,93,-107,3,96,-73,6,93,15,0,2,93,3,45,-73,2,96
DATA -73,-94,-98,4,93,15,0,-94,-46,4,93,3,72,6,93,15,0,2,93,-46,6,93,-46,5,93,15,0,-94,-46
DATA 7,93,-46,-94,19,0,-94,-46,5,93,2,45,2,93,18,0,3,93,5,45,3,93,18,0,11,93,19,0,10,93,20,0
DATA 3,93,-89,4,93,23,0,7,93,24,0,7,93,19,0,11,106,18,0,-107,11,96,-73,17,0,2,72,10,96,-73
DATA 19,0,10,72,8,0

' Coordinate of DING_ARM_UP
DATA  230, 166, 14, 17
' Sprite data of DING_ARM_UP
DATA 11,0,2,100,11,0,-101,2,56,-31,9,0,-101,-57,2,30,4,0,-45,3,116,2,44,-57,-31,5,0,-45,5,116
DATA -45,-31,6,0,6,116,-45,7,0,7,116,7,0,7,116,8,0,-107,-117,3,44,9,0,-107,2,96,-73,11,0,2,96
DATA -73,12,0,-97,-73,12,0,-97,-73,12,0,-97,-73,12,0,-97,-73,12,0,-97,-73,12,0,-73,8,0

' Coordinate of DING_ARM_DOWN
DATA  212, 178, 14, 17
' Sprite data of DING_ARM_DOWN
DATA -1,2,100,11,0,2,100,2,56,10,0,-101,2,56,-31,11,0,-101,-31,12,0,-101,-31,12,0,-101,-31
DATA 12,0,-101,-31,11,0,7,44,7,0,3,124,-45,3,124,-45,6,0,3,124,-45,3,124,-45,6,0,5,44,2,124
DATA -45,6,0,-45,3,124,-45,2,124,-45,2,106,5,0,3,44,3,124,3,96,-107,5,0,-45,3,124,-45,4,96
DATA 3,106,2,0,5,44,7,96,7,0,-73,3,96,3,72,8,0,4,72,2,0

' Coordinate of DING_SOUND
DATA  224, 163, 9, 7
' Sprite data of DING_SOUND
DATA 5,0,-130,2,0,-130,4,0,2,129,-1,2,129,3,0,2,129,-1,2,129,3,0,5,129,3,0,2,129,-1,2,129,4,0
DATA -130,2,0,-130,13,0

' Coordinate of TRIGGER_UP_20
DATA  72, 99, 10, 5
' Sprite data of TRIGGER_UP_20
DATA 7,0,2,114,2,0,5,129,-115,2,92,-39,6,129,-115,2,92,-39,7,0,2,38,11,0

' Coordinate of DOOR_CLOSE_20
DATA  56, 101, 9, 4
' Sprite data of DOOR_CLOSE_20
DATA 36,46

' Coordinate of TRIGGER_DOWN_20
DATA  70, 103, 10, 6
' Sprite data of TRIGGER_DOWN_20
DATA -1,2,129,7,0,5,129,7,0,-130,2,137,-130,2,114,6,0,-130,-115,2,92,-39,6,0,-115,2,92,-39
DATA 7,0,2,38,2,0

' Coordinate of DOOR_OPEN_20
DATA  46, 104, 9, 9
' Sprite data of DOOR_OPEN_20
DATA 4,0,2,46,6,0,5,46,3,0,6,46,3,0,5,46,3,0,5,46,3,0,6,46,3,0,5,46,5,0,4,46,7,0,-47,5,0

' Coordinate of TRIGGER_UP_25
DATA  240, 97, 9, 4
' Sprite data of TRIGGER_UP_25
DATA -1,2,114,6,0,-115,2,92,-39,4,129,-1,-115,2,92,-39,5,129,-1,2,38,6,0

' Coordinate of DOOR_CLOSE_25
DATA  258, 101, 9, 4
' Sprite data of DOOR_CLOSE_25
DATA 36,46

' Coordinate of TRIGGER_DOWN_25
DATA  243, 101, 8, 6
' Sprite data of TRIGGER_DOWN_25
DATA 6,0,2,129,4,0,4,129,-1,2,114,3,129,2,0,-115,2,92,-39,-130,3,0,-115,2,92,-39,5,0,2,38,5,0

' Coordinate of DOOR_OPEN_25
DATA  268, 104, 9, 9
' Sprite data of DOOR_OPEN_25
DATA 3,0,2,46,5,0,5,46,4,0,6,46,4,0,5,46,5,0,5,46,4,0,6,46,4,0,5,46,4,0,4,46,6,0,-47,3,0

' Coordinate of TRIGGER_UP_30
DATA  75, 135, 9, 4
' Sprite data of TRIGGER_UP_30
DATA 6,0,2,114,-1,5,129,-115,2,92,-39,5,129,-115,2,92,-39,6,0,2,38,1,0

' Coordinate of DOOR_CLOSE_30
DATA  56, 141, 9, 4
' Sprite data of DOOR_CLOSE_30
DATA 36,46

' Coordinate of TRIGGER_DOWN_30
DATA  73, 139, 8, 6
' Sprite data of TRIGGER_DOWN_30
DATA -1,-130,6,0,4,129,5,0,4,129,2,114,4,0,-130,-115,2,92,-39,4,0,-115,2,92,-39,5,0,2,38,1,0

' Coordinate of DOOR_OPEN_30
DATA  46, 144, 9, 9
' Sprite data of DOOR_OPEN_30
DATA 4,0,2,46,6,0,5,46,3,0,6,46,3,0,5,46,3,0,5,46,3,0,6,46,3,0,5,46,5,0,4,46,7,0,-47,5,0

' Coordinate of TRIGGER_UP_35
DATA  238, 135, 10, 4
' Sprite data of TRIGGER_UP_35
DATA -1,2,114,7,0,-115,2,92,-39,6,129,-115,2,92,-39,6,129,-1,2,38,7,0

' Coordinate of DOOR_CLOSE_35
DATA  258, 141, 9, 4
' Sprite data of DOOR_CLOSE_35
DATA 36,46

' Coordinate of TRIGGER_DOWN_35
DATA  242, 139, 7, 6
' Sprite data of TRIGGER_DOWN_35
DATA 5,0,2,129,4,0,3,129,-1,2,114,3,129,-1,-115,2,92,-39,-130,2,0,-115,2,92,-39,4,0,2,38,4,0

' Coordinate of DOOR_OPEN_35
DATA  268, 144, 9, 9
' Sprite data of DOOR_OPEN_35
DATA 3,0,2,46,5,0,5,46,4,0,6,46,4,0,5,46,5,0,5,46,4,0,6,46,4,0,5,46,4,0,4,46,6,0,-47,3,0

' Coordinate of LIFT_LEFT_1
DATA  135, 52, 25, 4
' Sprite data of LIFT_LEFT_1
DATA 26,117,6,58,-136,-118,6,58,-136,-118,6,58,-136,2,117,-59,-136,3,136,2,135,-118,-59,6,135
DATA -118,-59,6,135,26,117

' Coordinate of LIFT_LEFT_2
DATA  135, 88, 25, 4
' Sprite data of LIFT_LEFT_2
DATA 26,117,6,58,-136,-118,6,58,-136,-118,6,58,-136,2,117,-59,-136,3,136,2,135,-118,-59,6,135
DATA -118,-59,6,135,26,117

' Coordinate of LIFT_LEFT_3
DATA  135, 123, 25, 4
' Sprite data of LIFT_LEFT_3
DATA 26,117,6,58,-136,-118,6,58,-136,-118,6,58,-136,2,117,-59,-136,3,136,2,135,-118,-59,6,135
DATA -118,-59,6,135,26,117

' Coordinate of LIFT_LEFT_4
DATA  135, 158, 25, 4
' Sprite data of LIFT_LEFT_4
DATA 26,117,6,58,-136,-118,6,58,-136,-118,6,58,-136,2,117,-59,-136,3,136,2,135,-118,-59,6,135
DATA -118,-59,6,135,26,117

' Coordinate of LIFT_LEFT_5
DATA  135, 192, 25, 4
' Sprite data of LIFT_LEFT_5
DATA 26,117,6,58,-136,-118,6,58,-136,-118,6,58,-136,2,117,-59,-136,3,136,2,135,-118,-59,6,135
DATA -118,-59,6,135,26,117

' Coordinate of LIFT_RIGHT_1
DATA  162, 52, 25, 4
' Sprite data of LIFT_RIGHT_1
DATA 26,117,6,58,-136,-118,6,58,-136,-118,6,58,-136,2,117,-59,-136,3,136,2,135,-118,-59,6,135
DATA -118,-59,6,135,26,117

' Coordinate of LIFT_RIGHT_2
DATA  162, 88, 25, 4
' Sprite data of LIFT_RIGHT_2
DATA 26,117,6,58,-136,-118,6,58,-136,-118,6,58,-136,2,117,-59,-136,3,136,2,135,-118,-59,6,135
DATA -118,-59,6,135,26,117

' Coordinate of LIFT_RIGHT_3
DATA  162, 123, 25, 4
' Sprite data of LIFT_RIGHT_3
DATA 26,117,6,58,-136,-118,6,58,-136,-118,6,58,-136,2,117,-59,-136,3,136,2,135,-118,-59,6,135
DATA -118,-59,6,135,26,117

' Coordinate of LIFT_RIGHT_4
DATA  162, 158, 25, 4
' Sprite data of LIFT_RIGHT_4
DATA 26,117,6,58,-136,-118,6,58,-136,-118,6,58,-136,2,117,-59,-136,3,136,2,135,-118,-59,6,135
DATA -118,-59,6,135,26,117

' Coordinate of LIFT_RIGHT_5
DATA  162, 192, 25, 4
' Sprite data of LIFT_RIGHT_5
DATA 26,117,6,58,-136,-118,6,58,-136,-118,6,58,-136,2,117,-59,-136,3,136,2,135,-118,-59,6,135
DATA -118,-59,6,135,26,117

' Coordinate of MISS_1
DATA  257, 221, 19, 15
' Sprite data of MISS_1
DATA 4,0,4,80,2,0,2,80,10,0,-81,4,108,-81,-1,-81,-109,-81,9,0,-81,2,108,3,80,-109,-81,2,108
DATA -81,9,0,2,80,3,44,4,80,-109,2,80,4,0,3,116,3,44,-130,5,44,-81,2,108,-81,2,0,4,116,2,129
DATA -126,2,129,2,44,2,116,2,80,-109,-81,2,0,5,116,-130,-45,-132,3,129,3,116,-45,-81,-109,2,80
DATA 6,116,3,129,-132,2,129,2,116,2,44,3,80,7,116,-130,-45,2,129,3,116,4,44,-1,-45,5,116,-45
DATA 6,116,2,44,3,116,-1,8,44,5,116,2,44,4,116,-1,7,44,11,116,4,0,14,116,5,0,13,116,8,0,8,116
DATA 5,0

' Coordinate of MISS_2
DATA  277, 221, 19, 15
' Sprite data of MISS_2
DATA 4,0,4,80,2,0,2,80,10,0,-81,-109,3,107,-81,-1,-81,-108,-81,9,0,-81,2,108,3,80,-108,-81
DATA 2,108,-81,9,0,2,80,3,44,4,80,-108,2,80,4,0,3,116,3,44,-130,5,44,-81,2,108,-81,2,0,4,116
DATA 2,129,-126,2,129,2,44,2,116,2,80,-108,-81,2,0,5,116,-130,-45,-132,3,129,3,116,-45,-81
DATA -109,2,80,6,116,3,129,-132,2,129,2,116,2,44,3,80,7,116,-130,-45,2,129,3,116,4,44,-1,-45
DATA 5,116,-45,6,116,2,44,3,116,-1,8,44,5,116,2,44,4,116,-1,7,44,11,116,4,0,14,116,5,0,13,116
DATA 8,0,8,116,5,0

' Coordinate of MISS_3
DATA  297, 221, 19, 15
' Sprite data of MISS_3
DATA 4,0,4,80,2,0,2,80,10,0,-81,4,107,-81,-1,-81,-108,-81,9,0,-81,2,107,3,80,-108,-81,2,107
DATA -81,9,0,2,80,3,44,4,80,-108,2,80,4,0,3,116,3,44,-130,5,44,-81,2,107,-81,2,0,4,116,2,129
DATA -126,2,129,2,44,2,116,2,80,-108,-81,2,0,5,116,-130,-45,-132,3,129,3,116,-45,-81,-108,2,80
DATA 6,116,3,129,-132,2,129,2,116,2,44,3,80,7,116,-130,-45,2,129,3,116,4,44,-1,-45,5,116,-45
DATA 6,116,2,44,3,116,-1,8,44,5,116,2,44,4,116,-1,7,44,11,116,4,0,14,116,5,0,13,116,8,0,8,116
DATA 5,0

' Coordinate of DIGIT_0
DATA  1, 219, 12, 19
' Sprite data of DIGIT_0
DATA 2,0,-130,-1,6,129,-99,2,0,2,129,-99,-1,3,131,-130,-99,-1,-99,3,129,-99,-1,-130,3,98,-1
DATA -130,-99,3,129,-99,5,0,2,129,-99,2,129,-132,-99,4,0,3,129,-99,2,129,-132,-99,4,0,3,129
DATA -99,2,129,-132,-99,4,0,3,129,-99,-1,2,98,6,0,3,98,13,0,2,129,6,0,2,129,-99,2,129,-132
DATA -99,4,0,3,129,-99,3,129,-99,4,0,3,129,-99,-130,2,131,-99,4,0,3,129,-99,3,129,-99,4,0,-130
DATA -132,-130,5,98,4,0,3,129,-99,8,0,-130,-132,-130,-99,5,129,2,131,-1,3,129,-99,-1,-130,5,131
DATA -130,-1,2,98,3,0,7,98,3,0

' Coordinate of DIGIT_1
DATA  14, 219, 12, 19
' Sprite data of DIGIT_1
DATA 23,0,-99,10,0,-132,-99,9,0,2,131,-99,8,0,3,131,-99,8,0,3,131,-99,8,0,3,131,-99,9,0,3,98
DATA 21,0,2,131,-99,8,0,3,131,-99,8,0,3,131,-99,8,0,3,131,-99,8,0,3,131,-99,8,0,-132,-129,-132
DATA -99,8,0,3,131,-99,8,0,3,131,-99,9,0,2,98,13,0

' Coordinate of DIGIT_2
DATA  27, 219, 12, 19
' Sprite data of DIGIT_2
DATA 4,0,6,131,-99,6,0,4,131,-99,-1,-99,5,0,-132,3,98,-1,-132,-99,9,0,2,131,-99,8,0,3,131,-99
DATA 8,0,3,131,-99,8,0,3,131,-99,4,0,4,131,-1,3,98,3,0,5,131,-99,4,0,2,131,-1,4,98,4,0,3,131
DATA -99,8,0,3,131,-99,8,0,3,131,-99,8,0,3,131,-99,8,0,4,98,20,0,7,131,6,0,7,131,6,0,7,98,3,0

' Coordinate of DIGIT_3
DATA  40, 219, 12, 19
' Sprite data of DIGIT_3
DATA 4,0,6,131,-99,6,0,4,131,-99,-1,-99,5,0,-132,3,98,-1,-132,-99,9,0,2,131,-99,8,0,3,131,-99
DATA 8,0,3,131,-99,8,0,3,131,-99,4,0,4,131,-1,3,98,3,0,5,131,-99,7,0,4,98,-1,2,131,-99,8,0
DATA 3,131,-99,8,0,3,131,-99,8,0,3,131,-99,8,0,3,131,-99,8,0,-132,-129,-132,-99,8,0,3,131,-99
DATA 7,131,-1,3,131,-99,-1,7,131,-1,2,98,3,0,7,98,3,0

' Coordinate of DIGIT_4
DATA  53, 219, 12, 19
' Sprite data of DIGIT_4
DATA 2,0,-132,10,0,2,131,-99,7,0,-99,3,131,-99,6,0,-132,-99,3,131,-99,5,0,2,131,-99,3,131,-99
DATA 4,0,3,131,-99,3,131,-99,4,0,3,131,-99,3,131,-99,4,0,3,131,-99,-1,2,98,-1,4,131,-1,3,98
DATA 3,0,5,131,-99,7,0,4,98,-1,2,131,-99,8,0,3,131,-99,8,0,3,131,-99,8,0,3,131,-99,8,0,3,131
DATA -99,8,0,-132,-129,-132,-99,8,0,3,131,-99,8,0,3,131,-99,9,0,2,98,13,0

' Coordinate of DIGIT_5
DATA  66, 219, 12, 19
' Sprite data of DIGIT_5
DATA 2,0,-132,-1,6,131,-99,2,0,2,131,-99,-1,4,131,-99,2,0,3,131,-99,-1,-132,3,98,3,0,3,131
DATA -99,8,0,3,131,-99,8,0,3,131,-99,8,0,3,131,-99,9,0,2,98,-1,4,131,7,0,5,131,-99,7,0,4,98
DATA -1,2,131,-99,8,0,3,131,-99,8,0,3,131,-99,8,0,3,131,-99,8,0,3,131,-99,8,0,-132,-129,-132
DATA -99,8,0,3,131,-99,7,131,-1,3,131,-99,-1,7,131,-1,2,98,3,0,7,98,3,0

' Coordinate of DIGIT_6
DATA  79, 219, 12, 19
' Sprite data of DIGIT_6
DATA 2,0,-132,-1,6,131,-99,2,0,2,131,-99,-1,4,131,-99,2,0,3,131,-99,-1,-132,3,98,3,0,3,131
DATA -99,8,0,3,131,-99,8,0,3,131,-99,8,0,3,131,-99,9,0,2,98,-1,4,131,7,0,5,131,-99,4,0,2,131
DATA -1,4,98,-1,2,131,-99,3,131,-99,4,0,3,131,-99,3,131,-99,4,0,3,131,-99,3,131,-99,4,0,3,131
DATA -99,3,131,-99,4,0,3,131,5,98,4,0,-132,-129,-132,-99,8,0,3,131,-99,7,131,-1,3,131,-99,-1
DATA 7,131,-1,2,98,3,0,7,98,3,0

' Coordinate of DIGIT_7
DATA  92, 219, 12, 19
' Sprite data of DIGIT_7
DATA 4,0,6,131,-99,6,0,4,131,-99,-1,-99,5,0,-132,3,98,-1,-132,-99,9,0,2,131,-99,8,0,3,131,-99
DATA 8,0,3,131,-99,8,0,3,131,-99,9,0,3,98,21,0,2,131,-99,8,0,3,131,-99,8,0,3,131,-99,8,0,3,131
DATA -99,8,0,3,131,-99,8,0,-132,-129,-132,-99,8,0,3,131,-99,8,0,3,131,-99,9,0,2,98,13,0

' Coordinate of DIGIT_8
DATA  105, 219, 12, 19
' Sprite data of DIGIT_8
DATA 2,0,-132,-1,6,131,-99,2,0,2,131,-99,-1,4,131,-99,-1,-99,3,131,-99,-1,-132,3,98,-1,-132
DATA -99,3,131,-99,5,0,2,131,-99,3,131,-99,4,0,3,131,-99,3,131,-99,4,0,3,131,-99,3,131,-99
DATA 4,0,3,131,-99,-1,2,98,-1,4,131,-1,3,98,3,0,5,131,-99,4,0,2,131,-1,4,98,-1,2,131,-99,3,131
DATA -99,4,0,3,131,-99,3,131,-99,4,0,3,131,-99,3,131,-99,4,0,3,131,-99,3,131,-99,4,0,3,131
DATA 5,98,4,0,-132,-129,-132,-99,8,0,3,131,-99,7,131,-1,3,131,-99,-1,7,131,-1,2,98,3,0,7,98
DATA 3,0

' Coordinate of DIGIT_9
DATA  118, 219, 12, 19
' Sprite data of DIGIT_9
DATA 2,0,-132,-1,6,131,-99,2,0,2,131,-99,-1,4,131,-99,-1,-99,3,131,-99,-1,-132,3,98,-1,-132
DATA -99,3,131,-99,5,0,2,131,-99,3,131,-99,4,0,3,131,-99,3,131,-99,4,0,3,131,-99,3,131,-99
DATA 4,0,3,131,-99,-1,2,98,-1,4,131,-1,3,98,3,0,5,131,-99,7,0,4,98,-1,2,131,-99,8,0,3,131,-99
DATA 8,0,3,131,-99,8,0,3,131,-99,8,0,3,131,-99,8,0,-132,-129,-132,-99,8,0,3,131,-99,7,131,-1
DATA 3,131,-99,-1,7,131,-1,2,98,3,0,7,98,3,0

' background : size
DATA  320, 240
' background : Image data
DATA -131,318,120,-71,-131,-121,315,70,-131,-121,-71,-131,-121,-71,109,33,-45,-51,-39,44,33
DATA -70,-106,-93,-68,154,33,-131,-121,-71,-131,-121,-71,107,33,-39,-85,3,105,-70,42,33,-68
DATA 4,105,-56,153,33,-131,-121,-71,-131,-121,-71,2,33,3,59,2,33,3,59,-34,3,59,3,33,3,59,-34
DATA 3,59,3,33,2,59,2,33,3,59,10,33,-45,-51,-56,-68,-72,-85,-93,-106,-93,-56,53,33,-88,5,105
DATA -60,41,33,-93,4,105,-83,22,33,-39,-51,3,67,-56,-39,124,33,-131,-121,-71,-131,-121,-71
DATA 2,33,-60,2,33,-60,-34,-60,3,33,-60,2,33,-60,-34,-60,4,33,-60,2,33,-60,-34,-60,2,33,-60
DATA -34,-60,2,33,-60,4,33,-45,-72,-85,-93,11,105,-45,51,33,-56,6,105,-93,-45,39,33,-39,5,105
DATA -72,20,33,-45,-72,7,105,-93,-56,82,33,-63,-85,-72,-45,36,33,-131,-121,-71,-131,-121,-71
DATA 2,33,3,59,2,33,2,59,2,33,-60,2,33,-60,-34,-60,4,33,3,59,2,33,4,59,-34,3,59,4,33,-45,-93
DATA 14,105,-68,51,33,-68,7,105,-88,39,33,-56,5,105,-63,19,33,-56,11,105,-93,-45,79,33,-68
DATA 3,105,-93,-39,35,33,-131,-121,-71,-131,-121,-71,2,33,-60,2,33,-60,-34,-60,3,33,-60,2,33
DATA -60,-34,-60,4,33,-60,2,33,-60,-34,-60,2,33,-60,-34,-60,2,33,-60,3,33,-68,15,105,-56,51,33
DATA -56,8,105,-70,38,33,-70,5,105,-45,18,33,-75,13,105,-93,-45,78,33,-93,4,105,-68,35,33,-131
DATA -121,-71,-131,-121,-71,2,33,-60,2,33,-60,-34,3,59,-34,3,59,3,33,3,59,-34,-60,2,33,-60
DATA -34,-60,2,33,-60,-34,3,59,4,33,-68,14,105,-88,-39,41,33,-56,-93,2,105,-83,-39,4,33,-51
DATA 9,105,-49,37,33,-88,5,105,18,33,-60,15,105,-83,30,33,-45,-68,2,84,-83,-56,26,33,-51,-45
DATA 13,33,-51,5,105,-68,35,33,-131,-121,-71,-131,-121,-71,38,33,-45,10,105,-93,-72,-68,-56
DATA 6,33,-51,3,67,-51,11,33,-39,-56,2,67,-63,-45,14,33,-56,5,105,-88,-39,4,33,9,105,-93,-39
DATA 15,33,-49,-68,-56,8,33,-51,3,67,-51,4,33,-39,5,105,-88,2,50,-45,14,33,-45,16,105,-85,3,33
DATA -39,-56,2,67,-63,-45,19,33,-39,-83,6,105,-93,-45,8,33,-45,-63,2,67,-56,-39,8,33,-39,-88
DATA 2,105,-88,2,38,-51,-45,6,33,-60,-85,-88,5,105,-56,35,33,-131,-121,-71,-131,-121,-71,39,33
DATA -49,2,84,-83,-68,5,105,-85,7,33,-68,-93,5,105,-93,-56,7,33,-39,-72,6,105,-85,-45,12,33
DATA -88,6,105,-83,4,33,10,105,-83,5,33,-70,2,105,-72,-39,4,33,-70,3,105,-85,5,33,-68,-93,5,105
DATA -93,-68,2,33,-51,9,105,-93,-68,-39,11,33,-83,6,105,-93,-56,2,50,-63,-93,4,105,-68,-34
DATA -39,-70,-93,5,105,-85,-49,11,33,-45,2,67,-63,-45,-34,-88,8,105,-93,-39,5,33,-49,-88,5,105
DATA -93,-68,-39,6,33,-83,4,105,-93,3,105,-93,-72,-39,2,33,-56,8,105,-56,35,33,-131,-121,-71
DATA -131,-121,-71,44,33,5,105,-93,5,33,-39,-88,9,105,-75,5,33,-45,-93,9,105,-56,11,33,8,105
DATA -75,3,33,-85,10,105,-60,3,33,-63,4,105,-68,3,33,-39,5,105,-51,2,33,-39,-88,9,105,-70,-34
DATA -68,11,105,-93,-45,9,33,-39,6,105,-88,-39,5,33,-56,-88,-106,-70,-34,-45,-93,9,105,-70
DATA 5,33,-39,-45,-34,-45,-93,16,105,-72,4,33,-70,9,105,-93,-45,5,33,12,105,-56,-34,-85,9,105
DATA -93,-39,33,33,-131,-121,-71,-131,-121,-71,44,33,-88,5,105,5,33,-85,11,105,-75,3,33,-39
DATA -93,11,105,-56,10,33,-93,8,105,-56,2,33,-72,10,105,-93,-45,2,33,-85,4,105,-88,3,33,-51
DATA 5,105,-68,2,33,-85,11,105,-34,-85,12,105,-88,-39,8,33,-63,5,105,-93,-39,10,33,-39,-93
DATA 11,105,-75,2,33,-39,-83,2,105,-88,19,105,3,33,-68,11,105,-93,-45,3,33,-51,13,105,-56,-83
DATA 10,105,-72,33,33,-131,-121,-71,-131,-121,-71,44,33,-85,5,105,-39,3,33,-68,13,105,-56,2,33
DATA -85,12,105,-93,-39,9,33,-72,9,105,-56,-34,-68,4,105,-93,6,105,-85,2,33,-85,5,105,3,33
DATA -45,5,105,-68,-34,-68,11,105,-93,-34,14,105,-63,8,33,-83,5,105,-68,11,33,-72,13,105,-56
DATA -34,-68,15,105,-70,-68,-93,5,105,-51,-34,-45,13,105,-88,3,33,-63,13,105,-93,-45,-93,9,105
DATA -83,33,33,-131,-121,-71,-131,-121,-71,44,33,-70,5,105,-51,2,33,-39,-93,5,105,-93,-85,6,105
DATA -93,-34,-49,6,105,-93,-88,6,105,-72,9,33,-63,9,105,-93,-45,-56,4,105,-83,-85,6,105,-60
DATA -34,-85,5,105,4,33,5,105,-68,-39,-93,5,105,-93,-85,-93,3,105,-56,-45,5,105,-93,-68,-63
DATA -88,5,105,-85,8,33,-93,5,105,-51,10,33,-45,5,105,-93,-70,-68,-93,5,105,-93,-34,-85,14,105
DATA -70,2,33,-56,5,105,-68,-34,-72,5,105,-85,-68,-72,6,105,-56,2,33,-83,5,105,-85,-68,-72
DATA 6,105,-51,-39,-75,8,105,-56,33,33,-131,-121,-71,-131,-121,-71,44,33,-68,5,105,-56,2,33
DATA -56,5,105,-85,-39,-34,-45,-93,5,105,-45,-72,5,105,-70,2,33,-49,5,105,-93,9,33,-45,10,105
DATA -93,-51,4,105,-93,-39,6,105,-93,-39,-72,5,105,4,33,5,105,-68,-56,5,105,-85,-39,2,33,-39
DATA -51,-45,-34,-63,5,105,-56,2,33,-39,5,105,-93,8,33,6,105,11,33,-63,4,105,-93,-39,2,33,-56
DATA 6,105,-51,-83,6,105,-72,-68,-93,5,105,-68,2,33,-39,5,105,-85,-34,-93,4,105,-68,2,33,-39
DATA -85,5,105,-85,2,33,-93,4,105,-93,-39,2,33,-70,5,105,-56,-34,-88,4,105,-93,-83,-85,-63
DATA 34,33,-131,-121,-71,-131,-121,-71,44,33,-56,5,105,-68,2,33,-72,5,105,-39,3,33,-56,5,105
DATA -68,-93,4,105,-93,4,33,-72,5,105,-51,9,33,11,105,-88,5,105,-34,-68,6,105,-70,-68,5,105
DATA 4,33,5,105,-83,-72,5,105,-39,7,33,-83,5,105,-39,3,33,-93,4,105,-93,8,33,6,105,11,33,-83
DATA 4,105,-72,-56,-72,-93,7,105,-51,-63,5,105,-83,2,33,-49,5,105,-72,3,33,-88,4,105,-93,-45
DATA 5,105,-51,-63,-88,7,105,-85,-34,-39,5,105,-72,3,33,-56,5,105,-56,-39,5,105,-85,37,33,-131
DATA -121,-71,-131,-121,-71,44,33,-51,5,105,-72,2,33,-85,4,105,-93,5,33,5,105,-83,5,105,-83
DATA 4,33,-51,5,105,-63,9,33,-85,16,105,-51,-34,-93,6,105,-72,5,105,-39,3,33,5,105,2,84,4,105
DATA -93,8,33,-93,4,105,-93,3,33,-39,5,105,-83,8,33,6,105,11,33,-85,14,105,-88,-39,-45,5,105
DATA -70,3,33,-93,4,105,-93,3,33,-70,5,105,-60,15,105,-56,-34,-56,5,105,-56,3,33,-70,5,105
DATA 2,50,5,105,-68,37,33,-131,-121,-71,-131,-121,-71,44,33,-39,5,105,-85,2,33,-85,4,105,-93
DATA 5,33,5,105,-85,5,105,-72,4,33,-51,5,105,-68,9,33,-68,5,105,-75,10,105,-56,-34,-49,12,105
DATA -51,3,33,-93,4,105,2,84,4,105,-93,7,33,-39,5,105,-83,3,33,-56,5,105,-68,8,33,-88,5,105
DATA -45,10,33,-85,14,105,-85,-49,-34,5,105,-88,3,33,-83,5,105,-39,2,33,-56,5,105,-83,12,105
DATA -93,-106,-93,-68,-39,-72,5,105,-45,3,33,-88,5,105,-34,-68,5,105,-51,37,33,-131,-121,-71
DATA -131,-121,-71,45,33,5,105,-93,2,33,-83,5,105,-39,3,33,-39,5,105,-72,-93,4,105,-88,4,33
DATA -56,5,105,-56,9,33,-56,5,105,-83,-56,9,105,-68,2,33,-72,11,105,-51,3,33,-85,4,105,-85
DATA -83,5,105,-39,6,33,-56,5,105,-63,3,33,-68,5,105,-51,8,33,-72,5,105,-83,10,33,-72,9,105
DATA -93,-63,-56,-93,3,105,-45,-85,5,105,3,33,-63,5,105,-56,2,33,-45,5,105,-85,10,105,-72,-56
DATA -75,3,105,-83,-88,4,105,-93,4,33,5,105,-85,-34,-85,5,105,38,33,-131,-121,-71,-131,-121
DATA -71,45,33,-88,5,105,2,33,-68,5,105,-68,3,33,-60,5,105,-63,-85,5,105,-49,3,33,-83,5,105
DATA -45,9,33,-39,6,105,-34,-75,8,105,-83,2,33,-39,-93,10,105,-51,3,33,-88,4,105,-85,-68,5,105
DATA -70,4,33,-45,-51,-70,5,105,-45,3,33,-85,5,105,9,33,-49,6,105,-56,9,33,-56,6,105,-93,-70
DATA -45,-34,-45,-93,4,105,2,67,5,105,-51,2,33,-45,5,105,-70,3,33,-93,4,105,2,92,6,105,-83
DATA -56,-39,-34,-75,10,105,-83,3,33,-51,5,105,-68,-34,5,105,-88,18,33,2,59,5,33,-60,12,33
DATA -131,-121,-71,-131,-121,-71,45,33,-85,5,105,-45,-34,-45,6,105,-68,-51,-60,-93,5,105,-45
DATA -63,5,105,-93,-56,-51,-70,5,105,-93,11,33,-93,5,105,-56,-34,-85,7,105,-85,3,33,-56,3,105
DATA -93,-60,5,105,-83,-39,-34,-56,5,105,-85,-45,6,105,-72,-51,-63,-93,8,105,4,33,5,105,-88
DATA 10,33,-93,6,105,-85,-63,-51,-56,-70,2,84,-68,-34,-39,-93,5,105,-83,2,50,-68,-93,5,105
DATA -63,-51,5,105,-68,3,33,5,105,-88,3,33,-83,5,105,-68,5,105,-93,-56,-51,-56,-85,11,105,-68
DATA 3,33,-68,5,105,2,50,5,105,-68,17,33,-60,2,33,-60,3,33,2,59,12,33,-131,-121,-71,-131,-121
DATA -71,45,33,-70,5,105,-51,2,33,-85,13,105,-85,-34,-39,-93,13,105,-68,11,33,-72,5,105,-72
DATA -34,-39,-88,7,105,4,33,-39,-68,-56,2,38,7,105,-93,6,105,-70,-34,-85,16,105,-85,3,33,-51
DATA 5,105,-68,10,33,-49,14,105,-68,-34,-68,14,105,-93,2,38,5,105,-85,3,33,-85,5,105,3,33,-63
DATA 5,105,-39,-93,20,105,-51,3,33,-85,5,105,-39,-63,5,105,-56,11,33,-60,-34,-60,3,33,-60,2,33
DATA -60,4,33,-60,12,33,-131,-121,-71,-131,-121,-71,45,33,-68,5,105,-56,2,33,-45,13,105,-45
DATA 2,33,-60,12,105,-93,-39,11,33,-56,5,105,-93,2,33,-45,-93,6,105,9,33,-72,13,105,-45,-34
DATA -45,16,105,-63,3,33,-63,5,105,-56,11,33,-68,13,105,-85,-34,-39,-93,12,105,-93,-45,2,33
DATA -88,4,105,-93,3,33,-68,5,105,-51,2,33,-39,-93,3,105,-70,-34,-60,13,105,-75,-63,4,105,-93
DATA 4,33,5,105,-88,-34,-83,5,105,-39,11,33,-60,-34,-60,3,33,-60,2,33,-60,4,33,-60,12,33,-131
DATA -121,-71,-131,-121,-71,45,33,-56,5,105,-56,3,33,-56,11,105,-56,4,33,-75,10,105,-93,-45
DATA 12,33,-39,6,105,-45,2,33,-49,5,105,-93,9,33,-39,-93,11,105,-56,3,33,-56,14,105,-93,-39
DATA 3,33,-83,5,105,-39,12,33,-75,12,105,-83,2,33,-45,-93,10,105,-93,-45,3,33,-70,5,105,-45
DATA 2,33,-56,5,105,-45,3,33,-45,-72,-85,-63,3,33,-75,11,105,-75,-34,-39,-93,3,105,-68,3,33
DATA -45,5,105,-70,-34,-72,4,105,-93,13,33,-60,4,33,-60,2,33,-60,4,33,-60,12,33,-131,-121,-71
DATA -131,-121,-71,45,33,-39,-93,3,105,-93,-39,4,33,-56,-93,7,105,-93,-56,6,33,-68,8,105,-88
DATA -45,14,33,-88,5,105,-68,3,33,-56,3,105,-93,-45,10,33,-45,-88,8,105,-93,-56,5,33,-56,-93
DATA 7,105,-93,2,48,2,67,-39,4,33,-72,4,105,-93,14,33,-56,-93,9,105,-93,-45,3,33,-45,-88,8,105
DATA -72,-39,4,33,-56,5,105,-63,3,33,-88,3,105,-88,12,33,-68,8,105,-93,-56,3,33,-39,-70,-83
DATA -56,4,33,-39,5,105,-56,-34,-49,4,105,-60,13,33,-60,5,33,2,59,2,33,-60,2,33,-60,12,33,-131
DATA -121,-71,-131,-121,-71,46,33,-39,-72,-85,-72,-39,6,33,-39,-63,-85,3,105,-85,-63,-39,8,33
DATA -39,-70,-88,2,105,-93,-83,-56,16,33,-63,5,105,-85,4,33,-39,-68,-56,-39,13,33,-56,-83,-93
DATA 2,105,-93,-85,-63,-39,7,33,-39,-68,-88,3,105,-85,-56,10,33,-49,4,105,-56,15,33,-39,-63
DATA -88,5,105,-93,-72,-39,6,33,-56,-83,-93,2,105,-88,-68,-39,6,33,-39,5,105,-56,3,33,-39,-72
DATA -85,-68,-39,13,33,-39,-70,-88,2,105,-93,-83,-56,14,33,-85,3,105,-88,3,33,-49,-83,-85,-56
DATA 40,33,-131,-121,-71,-131,-121,-71,98,33,-39,6,105,56,33,-49,-83,-85,-56,20,33,3,50,-45
DATA 24,33,-83,3,105,-93,-39,43,33,-39,-68,-85,-72,-39,47,33,-131,-121,-71,-131,-121,-71,99,33
DATA -83,4,105,-93,109,33,-68,-85,-72,-39,96,33,-131,-121,-71,-131,-121,-71,99,33,-45,-93,2,105
DATA -93,-56,209,33,-131,-121,-71,-131,-121,-71,100,33,-39,-68,-63,-39,210,33,-131,-121,-71
DATA -131,-121,-71,315,130,-121,-71,-131,318,120,-71,-131,319,70,100,0,27,77,-35,-78,2,54,-29
DATA -146,27,144,-146,-1,13,144,3,147,13,144,-78,3,54,-35,15,77,-35,11,77,197,0,2,77,-35,9,54
DATA -78,-35,9,54,-78,-35,2,54,-35,-78,2,54,-29,3,145,23,144,3,145,-1,11,144,7,147,11,144,-78
DATA 3,54,-35,-78,14,54,-35,-78,10,54,197,0,-78,-35,-29,9,54,-35,-29,9,54,-35,-29,2,54,-35
DATA -78,2,54,-29,5,145,19,144,5,145,-1,9,144,11,147,9,144,-78,3,54,-35,-78,-55,-78,-35,11,54
DATA -35,-78,4,54,-78,-35,4,54,197,0,-78,26,54,-35,-78,2,54,-29,7,145,15,144,7,145,-1,7,144
DATA 15,147,7,144,-78,3,54,-35,-78,-55,-35,-29,11,54,-35,-78,4,54,-35,-29,4,54,197,0,-78,26,54
DATA -35,-78,2,54,-29,9,145,11,144,9,145,-1,5,144,19,147,5,144,-78,3,54,-35,-78,14,54,-35,-78
DATA 10,54,197,0,-78,26,54,-35,-78,2,54,-29,11,145,7,144,11,145,-1,3,144,23,147,3,144,-78,3,54
DATA -35,-78,14,54,-35,-78,10,54,197,0,-78,26,54,-35,-78,2,54,-29,13,145,3,144,13,145,-1,-145
DATA 27,147,-145,-78,3,54,-35,-78,14,54,-35,-78,10,54,197,0,-78,26,54,-35,-78,2,54,-29,-147
DATA 27,145,-147,-1,13,147,3,146,13,147,-78,3,54,-35,-78,14,54,-35,-78,10,54,197,0,-78,26,54
DATA -35,-78,2,54,-29,3,146,23,145,3,146,-1,11,147,7,146,11,147,-78,3,54,-35,-78,14,54,-35
DATA -78,10,54,197,0,-78,26,54,-35,-78,2,54,-29,5,146,19,145,5,146,-1,9,147,11,146,9,147,-78
DATA 3,54,-35,-78,14,54,-35,-78,10,54,197,0,-78,26,54,-35,-78,2,54,-29,7,146,15,145,7,146,-1
DATA 7,147,15,146,7,147,-78,3,54,-35,-78,14,54,-35,-78,10,54,191,0,13,76,20,54,-35,-78,2,54
DATA -29,9,146,11,145,9,146,-1,5,147,19,146,5,147,-78,3,54,-35,-78,14,54,-35,-78,2,54,-42,12,76
DATA -23,185,0,-77,12,46,2,76,3,54,-78,-35,9,54,-78,-35,2,54,-35,-78,2,54,-29,11,146,7,145
DATA 11,146,-1,3,147,23,146,3,147,-78,3,54,-35,-78,10,54,-78,-35,2,54,-35,-78,-55,2,76,12,46
DATA -23,185,0,-77,14,46,-77,2,54,-35,-29,9,54,-35,-29,2,54,-35,-78,2,54,-29,13,146,3,145,13,146
DATA -1,-148,27,146,-148,-78,3,54,-35,-78,10,54,-35,-29,2,54,-35,-78,-77,14,46,-23,185,0,-77
DATA 14,46,-23,17,54,-35,-78,2,54,-29,-148,27,146,-148,-1,13,146,3,145,13,146,-78,3,54,-35
DATA -78,14,54,-35,-78,-77,14,46,-23,185,0,-77,15,46,-23,17,34,-78,2,54,-29,3,147,23,146,3,147
DATA -1,11,146,7,145,11,146,-78,3,54,-35,-78,14,54,-35,-77,15,46,-23,185,0,-77,15,46,-23,-35
DATA 16,77,3,54,-29,5,147,19,146,5,147,-1,9,146,11,145,9,146,-78,3,54,17,34,-77,15,46,-23,185,0
DATA -77,15,46,-23,-35,-78,18,54,-29,7,147,15,146,7,147,-1,7,146,15,145,7,146,-78,20,54,-77
DATA 15,46,-23,191,0,10,46,-23,-35,-78,-55,-78,-35,10,54,-78,-35,3,54,-29,9,147,11,146,9,147
DATA -1,5,146,19,145,5,146,-78,20,54,-77,10,46,197,0,10,46,-23,-35,-78,-55,-35,-29,10,54,-35
DATA -29,3,54,-29,11,147,7,146,11,147,-1,3,146,23,145,3,146,-78,20,54,-77,10,46,197,0,10,46
DATA -23,-35,-78,18,54,-29,13,147,3,146,13,147,-1,-147,27,145,-147,-78,20,54,-77,10,46,197,0
DATA 10,46,-23,-35,-78,18,54,-29,-145,27,147,-145,-1,13,145,3,144,13,145,-1,20,28,-77,10,46
DATA 197,0,10,46,-23,-35,-78,18,54,-29,3,144,23,147,3,144,-1,11,145,7,144,11,145,4,0,-102,-41
DATA -24,14,0,-77,10,46,197,0,10,46,-23,-35,-78,18,54,-29,5,144,19,147,5,144,-1,9,145,11,144
DATA 9,145,4,0,-102,-41,-24,14,0,-77,10,46,197,0,10,46,-23,-35,-78,18,54,-29,7,144,15,147,7,144
DATA -1,7,145,15,144,7,145,4,0,-102,-41,-24,14,0,-77,10,46,197,0,10,46,-23,-35,-78,18,54,-29
DATA 9,144,11,147,9,144,-1,5,145,19,144,5,145,4,0,-102,-41,-24,14,0,-77,10,46,197,0,10,46,-23
DATA -35,-78,18,54,-29,11,144,7,147,11,144,-1,3,145,23,144,3,145,4,0,-102,-41,-24,15,0,-77
DATA 9,46,197,0,10,46,-23,-35,-78,18,54,-29,13,144,3,147,13,144,-1,-146,27,144,-146,4,0,-102
DATA -41,-24,15,0,-77,9,46,197,0,10,46,-23,-35,-78,18,54,-29,-146,27,144,-146,-1,13,144,3,147
DATA 13,144,4,0,-102,-41,-24,15,0,-77,9,46,197,0,10,46,-23,-35,-78,18,54,-29,3,145,23,144,3,145
DATA -1,11,144,7,147,11,144,4,0,-102,-41,-24,15,0,-77,9,46,195,0,2,76,10,46,-23,-35,-78,18,54
DATA -29,5,145,19,144,5,145,-1,9,144,11,147,9,144,4,0,-102,-41,-24,15,0,-77,9,46,2,76,190,0
DATA 3,76,12,46,-23,-35,-78,18,54,-29,7,145,15,144,7,145,-1,7,144,15,147,7,144,4,0,-102,-41
DATA -24,15,0,-77,11,46,3,76,184,0,3,76,15,46,-23,-35,-78,-55,-78,-35,10,54,-78,-35,3,54,-29
DATA 9,145,11,144,9,145,-1,5,144,19,147,5,144,4,0,-102,-41,-24,15,0,-77,14,46,3,76,178,0,3,76
DATA 18,46,-23,-35,-78,-55,-35,-29,10,54,-35,-29,3,54,-29,11,145,7,144,11,145,-1,3,144,23,147
DATA 3,144,4,0,-102,-41,-24,15,0,-77,17,46,3,76,172,0,3,76,21,46,-23,-35,-78,18,54,-29,13,145
DATA 3,144,13,145,-1,-145,27,147,-145,4,0,-102,-41,-24,16,0,-77,19,46,3,76,166,0,3,76,24,46
DATA -23,-35,-78,18,54,-29,-147,27,145,-147,-1,13,147,3,146,13,147,4,0,-102,-41,-24,16,0,-77
DATA 22,46,3,76,160,0,3,76,27,46,-23,-35,-78,18,54,-29,3,146,23,145,3,146,-1,11,147,7,146,11,147
DATA 4,0,3,23,16,0,-77,25,46,3,76,156,0,-77,24,46,7,22,-35,-78,18,54,-29,5,146,19,145,5,146
DATA -1,9,147,11,146,9,147,23,0,-77,7,22,21,46,-23,155,0,-77,17,46,7,22,7,54,-35,-78,18,54
DATA -29,7,146,15,145,7,146,-1,7,147,15,146,7,147,24,0,-78,6,54,4,22,17,46,-23,155,0,-77,9,46
DATA 8,22,11,54,-78,-35,-55,-35,-78,18,54,-29,9,146,11,145,9,146,-1,5,147,19,146,5,147,24,0
DATA -78,10,54,8,22,9,46,-23,155,0,-77,4,46,5,22,3,54,-35,-78,14,54,-35,-29,-55,-35,-78,18,54
DATA -29,11,146,7,145,11,146,-1,3,147,23,146,3,147,24,0,-78,-55,-78,-35,15,54,5,22,4,46,-23
DATA 155,0,-77,4,22,-78,7,54,-35,2,77,-35,15,54,-35,-78,18,54,-29,13,146,3,145,13,146,-1,-148
DATA 27,146,-148,24,0,-78,-55,-35,-29,19,54,-29,5,22,160,0,-78,7,54,-35,-78,-35,-29,15,54,-35
DATA -78,18,54,-29,-148,27,146,-148,-1,13,146,3,145,13,146,24,0,-78,18,54,-78,-35,2,54,-29
DATA 165,0,-78,7,54,-35,-78,17,54,-35,-78,18,54,-29,3,147,23,146,3,147,-1,11,146,7,145,11,146
DATA 24,0,-78,18,54,-35,-29,2,54,-29,118,0,5,46,27,22,5,46,10,0,-78,7,54,-35,-78,17,54,-35
DATA -78,18,54,-29,5,147,19,146,5,147,-1,9,146,11,145,9,146,24,0,-78,22,54,-29,10,0,5,46,27,22
DATA 5,46,71,0,5,46,27,22,5,46,10,0,-78,7,54,-35,-78,17,54,-35,-78,18,54,-29,7,147,15,146,7,147
DATA -1,7,146,15,145,7,146,24,0,-78,22,54,-29,10,0,5,46,27,22,5,46,71,0,5,46,27,22,5,46,10,0
DATA -78,7,54,-35,-78,17,54,-35,-78,18,54,-29,9,147,11,146,9,147,-1,5,146,19,145,5,146,24,0
DATA -78,22,54,-29,10,0,5,46,27,22,5,46,71,0,5,46,27,22,5,46,10,0,-78,7,54,-35,-78,17,54,-35
DATA -78,18,54,-29,11,147,7,146,11,147,-1,3,146,23,145,3,146,24,0,-78,22,54,-29,10,0,5,46,27,22
DATA 5,46,71,0,5,46,27,22,5,46,10,0,-78,7,54,-35,-78,17,54,-35,-78,18,54,-29,13,147,3,146,13,147
DATA -1,-147,27,145,-147,24,0,-78,22,54,-29,10,0,5,46,27,22,5,46,71,0,5,46,27,22,5,46,10,0
DATA -78,7,54,-35,2,77,-35,11,54,-78,-35,2,54,-35,-78,-55,-78,-35,11,54,-78,-35,2,54,-29,-145
DATA 27,147,-145,-1,13,145,3,144,13,145,24,0,-78,-55,-78,-35,15,54,-78,-35,2,54,-29,10,0,5,46
DATA 27,22,5,46,71,0,5,46,27,22,5,46,10,0,-78,7,54,-35,-78,-35,-29,11,54,-35,-29,2,54,-35,-78
DATA -55,-35,-29,11,54,-35,-29,-55,-29,-1,3,144,23,147,3,144,-1,11,145,7,144,11,145,24,0,-78
DATA -55,-35,-29,15,54,-35,-29,2,54,-29,10,0,5,46,27,22,5,46,71,0,5,46,27,22,5,46,10,0,-78
DATA 7,54,-35,-78,17,54,-35,-78,16,54,-29,2,0,5,144,19,147,5,144,-1,9,145,11,144,9,145,24,0
DATA -78,22,54,-29,10,0,5,46,27,22,5,46,71,0,5,46,27,22,5,46,10,0,-78,44,28,3,0,7,144,15,147
DATA 7,144,-1,7,145,15,144,7,145,24,0,-78,23,28,10,0,5,46,27,22,5,46,71,0,5,46,27,22,5,46,58,0
DATA 9,144,11,147,9,144,-1,5,145,19,144,5,145,58,0,5,46,27,22,5,46,71,0,5,46,27,22,5,46,58,0
DATA 11,144,7,147,11,144,-1,3,145,23,144,3,145,58,0,5,46,27,22,5,46,71,0,5,46,27,22,5,46,58,0
DATA 13,144,3,147,13,144,-1,-146,27,144,-146,58,0,5,46,27,22,5,46,71,0,5,46,27,22,5,46,58,0
DATA -146,27,144,-146,-1,13,144,3,147,13,144,58,0,5,46,27,22,5,46,71,0,5,46,27,22,5,46,58,0
DATA 3,145,23,144,3,145,-1,11,144,7,147,11,144,58,0,5,46,27,22,5,46,71,0,5,46,27,22,5,46,58,0
DATA 5,145,19,144,5,145,-1,9,144,11,147,9,144,58,0,5,46,27,22,5,46,71,0,5,46,27,22,5,46,58,0
DATA 7,145,15,144,7,145,-1,7,144,15,147,7,144,58,0,5,46,27,22,5,46,71,0,6,46,26,22,5,46,58,0
DATA 9,145,11,144,9,145,-1,5,144,19,147,5,144,58,0,5,46,26,22,6,46,71,0,8,46,24,22,5,46,58,0
DATA 11,145,7,144,11,145,-1,3,144,23,147,3,144,58,0,5,46,24,22,8,46,71,0,10,46,21,22,6,46,58,0
DATA 13,145,3,144,13,145,-1,-145,27,147,-145,58,0,6,46,21,22,10,46,72,0,11,46,19,22,5,46,59,0
DATA -147,27,145,-147,-1,13,147,3,146,13,147,59,0,5,46,19,22,11,46,75,0,11,46,16,22,6,46,59,0
DATA 3,146,23,145,3,146,-1,11,147,7,146,11,147,59,0,6,46,16,22,11,46,80,0,10,46,14,22,5,46
DATA 60,0,5,146,19,145,5,146,-1,9,147,11,146,9,147,60,0,5,46,14,22,10,46,85,0,10,46,11,0,5,46
DATA 61,0,7,146,15,145,7,146,-1,7,147,15,146,7,147,61,0,5,46,11,0,10,46,89,0,8,46,11,0,5,46
DATA 61,0,9,146,11,145,9,146,-1,5,147,19,146,5,147,61,0,5,46,11,0,8,46,93,0,6,46,11,0,4,46
DATA 62,0,11,146,7,145,11,146,-1,3,147,23,146,3,147,62,0,4,46,11,0,6,46,112,0,3,46,63,0,13,146
DATA 3,145,13,146,-1,-148,27,146,-148,63,0,3,46,129,0,2,46,64,0,-148,27,146,-148,-1,13,146
DATA 3,145,13,146,64,0,2,46,195,0,3,147,23,146,3,147,-1,11,146,7,145,11,146,261,0,5,147,19,146
DATA 5,147,-1,9,146,11,145,9,146,261,0,7,147,15,146,7,147,-1,7,146,15,145,7,146,261,0,9,147
DATA 11,146,9,147,-1,5,146,19,145,5,146,261,0,11,147,7,146,11,147,-1,3,146,23,145,3,146,261,0
DATA 13,147,3,146,13,147,-1,-147,27,145,-147,261,0,-145,27,147,-145,-1,13,145,3,144,13,145
DATA 261,0,3,144,23,147,3,144,-1,11,145,7,144,11,145,261,0,5,144,19,147,5,144,-1,9,145,11,144
DATA 9,145,261,0,7,144,15,147,7,144,-1,7,145,15,144,7,145,261,0,9,144,11,147,9,144,-1,5,145
DATA 19,144,5,145,261,0,11,144,7,147,11,144,-1,3,145,23,144,3,145,261,0,13,144,3,147,13,144
DATA -1,-146,27,144,-146,166,0,5,46,27,22,5,46,58,0,-146,27,144,-146,-1,13,144,3,147,13,144
DATA 58,0,5,46,27,22,5,46,71,0,5,46,27,22,5,46,58,0,3,145,23,144,3,145,-1,11,144,7,147,11,144
DATA 58,0,5,46,27,22,5,46,71,0,5,46,27,22,5,46,58,0,5,145,19,144,5,145,-1,9,144,11,147,9,144
DATA 58,0,5,46,27,22,5,46,71,0,5,46,27,22,5,46,58,0,7,145,15,144,7,145,-1,7,144,15,147,7,144
DATA 58,0,5,46,27,22,5,46,71,0,5,46,27,22,5,46,58,0,9,145,11,144,9,145,-1,5,144,19,147,5,144
DATA 58,0,5,46,27,22,5,46,71,0,5,46,27,22,5,46,3,0,53,54,2,0,11,145,7,144,11,145,-1,3,144,23,147
DATA 3,144,-1,54,54,3,0,5,46,27,22,5,46,71,0,5,46,27,22,5,46,3,0,-55,5,28,-78,-55,7,28,-78
DATA -55,7,28,-78,-55,8,28,-78,-55,7,28,-78,-55,6,28,-78,-55,2,0,13,145,3,144,13,145,-1,-145
DATA 27,147,-145,-1,2,54,6,28,-78,-55,6,28,-78,-55,6,28,-78,-55,6,28,-78,-55,7,28,-78,-55,5,28
DATA -78,-55,2,28,-78,-55,3,0,5,46,27,22,5,46,71,0,5,46,27,22,5,46,3,0,-55,-29,5,77,-55,-29
DATA 7,77,-55,-29,7,77,-55,-29,8,77,-55,-29,7,77,-55,-29,6,77,-55,2,0,-147,27,145,-147,-1,13,147
DATA 3,146,13,147,-1,2,54,-29,6,77,-55,-29,6,77,-55,-29,6,77,-55,-29,6,77,-55,-29,7,77,-55
DATA -29,5,77,-55,-29,2,77,-55,3,0,5,46,27,22,5,46,71,0,5,46,27,22,5,46,3,0,53,54,2,0,3,146
DATA 23,145,3,146,-1,11,147,7,146,11,147,-1,54,54,3,0,5,46,27,22,5,46,71,0,5,46,27,22,5,46
DATA 3,0,5,54,50,0,5,146,19,145,5,146,-1,9,147,11,146,9,147,50,0,5,54,3,0,5,46,27,22,5,46,71,0
DATA 5,46,27,22,5,46,3,0,4,54,51,0,7,146,15,145,7,146,-1,7,147,15,146,7,147,51,0,4,54,3,0,5,46
DATA 27,22,5,46,71,0,5,46,27,22,5,46,3,0,3,54,52,0,9,146,11,145,9,146,-1,5,147,19,146,5,147
DATA 52,0,3,54,3,0,5,46,27,22,5,46,71,0,5,46,27,22,5,46,3,0,2,54,53,0,11,146,7,145,11,146,-1
DATA 3,147,23,146,3,147,53,0,2,54,3,0,5,46,27,22,5,46,71,0,5,46,27,22,5,46,58,0,13,146,3,145
DATA 13,146,-1,-148,27,146,-148,58,0,5,46,27,22,5,46,71,0,5,46,27,22,5,46,58,0,-148,27,146
DATA -148,-1,13,146,3,145,13,146,58,0,5,46,27,22,5,46,71,0,5,46,27,22,5,46,58,0,3,147,23,146
DATA 3,147,-1,11,146,7,145,11,146,58,0,5,46,27,22,5,46,71,0,6,46,26,22,5,46,58,0,5,147,19,146
DATA 5,147,-1,9,146,11,145,9,146,58,0,5,46,26,22,6,46,71,0,8,46,24,22,5,46,58,0,7,147,15,146
DATA 7,147,-1,7,146,15,145,7,146,58,0,5,46,24,22,8,46,71,0,10,46,21,22,6,46,58,0,9,147,11,146
DATA 9,147,-1,5,146,19,145,5,146,58,0,6,46,21,22,10,46,72,0,11,46,19,22,5,46,59,0,11,147,7,146
DATA 11,147,-1,3,146,23,145,3,146,59,0,5,46,19,22,11,46,75,0,11,46,16,22,6,46,59,0,13,147,3,146
DATA 13,147,-1,-147,27,145,-147,59,0,6,46,16,22,11,46,80,0,10,46,14,22,5,46,60,0,-145,27,147
DATA -145,-1,13,145,3,144,13,145,60,0,5,46,14,22,10,46,85,0,10,46,11,0,5,46,61,0,3,144,23,147
DATA 3,144,-1,11,145,7,144,11,145,61,0,5,46,11,0,10,46,89,0,8,46,11,0,5,46,61,0,5,144,19,147
DATA 5,144,-1,9,145,11,144,9,145,61,0,5,46,11,0,8,46,93,0,6,46,11,0,4,46,62,0,7,144,15,147
DATA 7,144,-1,7,145,15,144,7,145,62,0,4,46,11,0,6,46,112,0,3,46,63,0,9,144,11,147,9,144,-1
DATA 5,145,19,144,5,145,63,0,3,46,129,0,2,46,64,0,11,144,7,147,11,144,-1,3,145,23,144,3,145
DATA 64,0,2,46,195,0,13,144,3,147,13,144,-1,-146,27,144,-146,261,0,-146,27,144,-146,-1,13,144
DATA 3,147,13,144,261,0,3,145,23,144,3,145,-1,11,144,7,147,11,144,261,0,5,145,19,144,5,145
DATA -1,9,144,11,147,9,144,261,0,7,145,15,144,7,145,-1,7,144,15,147,7,144,261,0,9,145,11,144
DATA 9,145,-1,5,144,19,147,5,144,261,0,11,145,7,144,11,145,-1,3,144,23,147,3,144,261,0,13,145
DATA 3,144,13,145,-1,-145,27,147,-145,261,0,-147,27,145,-147,-1,13,147,3,146,13,147,261,0,3,146
DATA 23,145,3,146,-1,11,147,7,146,11,147,261,0,5,146,19,145,5,146,-1,9,147,11,146,9,147,261,0
DATA 7,146,15,145,7,146,-1,7,147,15,146,7,147,261,0,9,146,11,145,9,146,-1,5,147,19,146,5,147
DATA 181,0,18,81,8,0,53,54,-1,11,146,7,145,11,146,-1,3,147,23,146,3,147,-1,53,54,8,0,18,81
DATA 101,0,-82,16,140,-82,8,0,-55,6,28,-78,-55,7,28,-78,-55,8,28,-78,-55,6,28,-78,-55,7,28
DATA -78,-55,6,28,-78,-55,-1,13,146,3,145,13,146,-1,-148,27,146,-148,-1,2,54,7,28,-78,-55,8,28
DATA -78,-55,7,28,-78,-55,8,28,-78,-55,5,28,-78,-55,4,28,-78,-55,8,0,-82,16,140,-82,102,0,2,81
DATA 12,140,2,81,9,0,-55,-29,6,77,-55,-29,7,77,-55,-29,8,77,-55,-29,6,77,-55,-29,7,77,-55,-29
DATA 6,77,-55,-1,-148,27,146,-148,-1,13,146,3,145,13,146,-1,2,54,-29,7,77,-55,-29,8,77,-55
DATA -29,7,77,-55,-29,8,77,-55,-29,5,77,-55,-29,4,77,-55,9,0,2,81,12,140,2,81,105,0,-82,10,140
DATA -82,11,0,53,54,-1,3,147,23,146,3,147,-1,11,146,7,145,11,146,-1,53,54,11,0,-82,10,140,-82
DATA 107,0,-82,-141,8,81,-141,-82,21,0,-55,6,28,6,0,-55,6,28,15,0,-102,-41,-24,6,0,5,147,19,146
DATA 5,147,-1,9,146,11,145,9,146,-1,6,28,6,0,7,28,6,0,-102,-41,37,0,-82,-141,8,81,-141,-82
DATA 106,0,-82,12,140,-82,21,0,-78,3,54,-29,8,0,-78,3,54,-29,16,0,-102,-41,-24,6,0,7,147,15,146
DATA 7,147,-1,7,146,15,145,7,146,-1,-78,2,54,4,77,6,0,-78,3,54,-29,7,0,-102,-41,36,0,-82,12,140
DATA -82,104,0,-82,14,140,-82,20,0,-78,2,54,6,77,4,0,-78,3,54,-29,16,0,-102,-41,-24,6,0,9,147
DATA 11,146,9,147,-1,5,146,19,145,5,146,-1,-78,-55,-78,4,54,2,77,4,0,-78,3,54,-29,5,0,2,101
DATA 2,40,2,23,33,0,-82,14,140,-82,102,0,-82,3,140,10,81,3,140,-82,19,0,-78,-55,-78,6,54,5,77
DATA 3,54,-29,16,0,-102,-41,-24,6,0,11,147,7,146,11,147,-1,3,146,23,145,3,146,-1,-78,2,54,2,28
DATA 4,54,2,77,2,0,-78,3,54,-29,4,0,-102,3,115,2,40,2,23,31,0,-82,3,140,10,81,3,140,-82,100,0
DATA -82,2,140,14,81,2,140,-82,18,0,-78,-55,-78,10,54,3,77,-55,-29,16,0,-102,-41,-24,6,0,13,147
DATA 3,146,13,147,-1,-147,27,145,-147,-1,-78,3,54,3,28,4,54,3,77,3,54,-29,4,0,-102,3,115,2,40
DATA 2,23,30,0,-82,2,140,14,81,2,140,-82,98,0,-82,2,140,2,81,12,140,2,81,2,140,-82,17,0,-78
DATA 2,54,3,28,9,54,-29,-55,-29,16,0,-102,-41,-24,6,0,-145,27,147,-145,-1,13,145,3,144,13,145
DATA -1,-78,3,54,-29,2,0,2,28,4,54,2,77,2,54,-29,4,0,-102,2,115,3,40,2,23,29,0,-82,2,140,2,81
DATA 12,140,2,81,2,140,-82,96,0,-82,2,140,-82,16,140,-82,2,140,-82,16,0,-78,3,54,-29,-1,3,28
DATA 6,54,-29,-55,-29,16,0,-102,-41,-24,6,0,3,144,23,147,3,144,-1,11,145,7,144,11,145,-1,2,77
DATA -35,-55,-29,4,0,2,28,4,54,-29,-55,-29,4,0,-102,-84,-116,3,40,2,23,28,0,-82,2,140,-82,16,140
DATA -82,2,140,-82,94,0,-82,23,140,-82,16,0,-78,3,54,-29,4,0,3,28,3,54,-29,-55,-29,16,0,-102
DATA -41,-24,6,0,5,144,19,147,5,144,-1,9,145,11,144,9,145,-1,-78,-35,-29,-55,-29,6,0,2,28,2,54
DATA -29,-55,-29,4,0,-102,-84,-69,3,40,2,23,27,0,-82,24,140,-82,93,0,-82,24,140,-82,15,0,2,77
DATA -35,-55,-29,7,0,3,28,2,54,-29,16,0,-102,-41,-24,6,0,7,144,15,147,7,144,-1,7,145,15,144
DATA 7,145,-1,-78,3,54,-29,6,0,4,77,2,54,-29,4,0,-102,-84,-69,3,40,2,23,27,0,-82,24,140,-82
DATA 92,0,-82,26,140,-82,14,0,-78,-35,-29,-55,-29,8,0,-78,3,54,-29,16,0,-102,-41,-24,6,0,9,144
DATA 11,147,9,144,-1,5,145,19,144,5,145,-1,-78,3,54,-29,4,0,2,77,3,54,-29,2,54,-29,3,0,-102
DATA -84,2,68,3,40,3,23,25,0,-82,26,140,-82,91,0,-82,7,140,14,6,5,140,-82,14,0,-78,3,54,-29
DATA 8,0,2,77,2,54,-29,16,0,-102,-41,-24,6,0,11,144,7,147,11,144,-1,3,145,23,144,3,145,-1,-78
DATA 3,54,-29,2,0,2,77,5,54,-29,2,54,-29,2,0,-102,2,83,2,68,4,40,3,23,24,0,-82,7,140,12,6,7,140
DATA -82,90,0,-82,7,140,-7,14,66,-7,5,140,-82,13,0,-78,3,54,-29,6,0,2,77,2,54,-29,-55,-29,16,0
DATA 3,23,6,0,13,144,3,147,13,144,-1,-146,27,144,-146,-1,-78,3,54,-29,-1,-78,7,54,-29,2,54
DATA -29,2,0,12,23,23,0,-82,7,140,-7,12,66,-7,7,140,-82,89,0,-82,6,140,-7,16,66,-7,4,140,-82
DATA 13,0,-78,3,54,-29,5,0,-78,4,54,-29,-55,-29,25,0,-146,27,144,-146,-1,13,144,3,147,13,144
DATA -1,-78,3,54,2,77,6,54,2,28,3,54,-29,37,0,-82,6,140,-7,14,66,-7,6,140,-82,86,0,4,5,5,140
DATA -7,18,66,-7,4,140,-82,12,0,-78,3,54,-29,3,0,2,77,4,54,-29,2,54,-29,25,0,3,145,23,144,3,145
DATA -1,11,144,7,147,11,144,-1,-78,2,54,-78,6,54,2,28,-1,-78,3,54,-29,34,0,4,5,5,140,-7,16,66
DATA -7,5,140,4,5,81,0,2,5,3,7,-6,4,140,-7,12,66,-103,-110,6,66,-7,3,140,-82,12,0,-78,3,54
DATA -29,-1,2,77,3,54,3,28,3,54,-29,25,0,5,145,19,144,5,145,-1,9,144,11,147,9,144,-1,-78,-55
DATA -78,6,54,-29,3,0,2,77,-35,-55,-29,32,0,2,5,3,7,-6,4,140,-7,12,66,-103,-110,4,66,-7,4,140
DATA -6,3,7,2,5,77,0,2,5,2,7,2,5,2,7,-6,2,140,-7,7,66,-103,-110,5,66,-103,-110,6,66,-7,3,140
DATA -82,11,0,-78,3,54,2,77,3,54,2,28,2,0,-78,3,54,-29,25,0,7,145,15,144,7,145,-1,7,144,15,147
DATA 7,144,-1,-78,-55,-78,4,54,2,28,4,0,-78,-35,-29,-55,-29,30,0,2,5,2,7,2,5,2,7,-6,2,140,-7
DATA 7,66,-103,-110,5,66,-103,-110,4,66,-7,2,140,-6,2,7,2,5,2,7,2,5,74,0,-6,2,7,2,5,2,4,-6
DATA 2,7,2,5,-7,3,66,-110,4,66,-103,-110,5,66,-103,-110,5,66,-7,3,140,-82,11,0,-78,3,54,-78
DATA 3,54,-29,4,0,-78,3,54,-29,25,0,9,145,11,144,9,145,-1,5,144,19,147,5,144,-1,-78,2,54,-29
DATA -55,2,28,6,0,-78,3,54,-29,29,0,-6,2,7,2,5,2,4,-6,2,7,2,5,-7,2,66,-103,-110,4,66,-103,-110
DATA 5,66,-103,-110,3,66,-7,2,5,2,7,-6,2,4,2,5,2,7,-6,73,0,-6,-8,-6,4,4,-6,3,7,-6,-7,2,66,-110
DATA -103,-110,4,66,-103,-110,5,66,-103,-110,4,66,-7,4,140,-82,10,0,-78,3,54,-78,2,54,-29,5,0
DATA 2,77,-35,-55,-29,25,0,11,145,7,144,11,145,-1,3,144,23,147,3,144,-1,-78,3,54,-29,8,0,-78
DATA 3,54,-29,29,0,-6,-8,-6,4,4,-6,3,7,-6,-7,3,66,-103,-110,4,66,-103,-110,5,66,-103,-110,2,66
DATA -7,-6,3,7,-6,4,4,-6,-8,-6,73,0,-6,-8,-6,4,4,-6,3,7,-6,-7,-67,-110,-103,-67,-103,-110,4,66
DATA -103,-110,5,66,-103,-110,3,66,-7,4,140,-82,10,0,2,77,-35,-55,4,28,5,0,-78,-35,-29,-55
DATA -29,25,0,13,145,3,144,13,145,-1,-145,27,147,-145,-1,-78,3,54,-29,8,0,-78,3,54,-29,29,0
DATA -6,-8,-6,4,4,-6,3,7,-6,-7,4,66,-103,-110,4,66,-103,-110,5,66,-103,-110,-67,-7,-6,3,7,-6
DATA 4,4,-6,-8,-6,73,0,-6,-8,-6,-5,3,5,4,7,-6,-7,-67,-103,3,66,-103,-110,4,66,-103,-110,5,66
DATA -103,3,66,-7,4,140,-82,10,0,-78,-35,-29,-55,-29,8,0,-78,3,54,-29,25,0,-147,27,145,-147
DATA -1,13,147,3,146,13,147,-1,-78,2,54,5,77,5,0,-78,3,54,-29,29,0,-6,-8,-6,-5,3,5,4,7,-6,-7
DATA 5,66,-103,-110,4,66,-103,-110,5,66,-103,-67,-7,-6,4,7,3,5,-5,-6,-8,-6,73,0,-6,-8,2,5,7,7
DATA -6,-7,6,66,-103,-110,4,66,-103,-110,8,66,-7,4,140,-82,10,0,-78,3,54,-29,2,77,6,0,-78,3,54
DATA -29,25,0,3,146,23,145,3,146,-1,11,147,7,146,11,147,-1,-78,-55,-78,5,54,3,77,2,0,-78,3,54
DATA -29,29,0,-6,-8,2,5,7,7,-6,-7,6,66,-103,-110,4,66,-103,-110,6,66,-7,-6,7,7,2,5,-8,-6,73,0
DATA -6,10,7,-6,-7,7,66,-103,5,66,-103,8,66,-7,4,140,-82,10,0,-78,3,54,2,77,-55,3,77,3,0,-78
DATA 3,54,-29,25,0,5,146,19,145,5,146,-1,9,147,11,146,9,147,-1,-78,-55,-78,8,54,4,77,2,54,-29
DATA 29,0,-6,10,7,-6,-7,7,66,-103,5,66,-103,6,66,-7,-6,10,7,-6,73,0,-6,10,7,-6,-7,22,66,-7
DATA 4,140,-82,10,0,-78,2,54,-78,6,54,4,77,3,54,-29,25,0,7,146,15,145,7,146,-1,7,147,15,146
DATA 7,147,-1,-78,2,54,-29,11,54,-29,-55,-29,29,0,-6,10,7,-6,-7,20,66,-7,-6,10,7,-6,73,0,-6
DATA 10,7,-6,-7,22,66,-7,4,140,-82,10,0,-78,2,54,-78,9,54,-78,3,54,-29,25,0,9,146,11,145,9,146
DATA -1,5,147,19,146,5,147,-1,-78,3,54,3,28,8,54,-29,-55,-29,29,0,-6,10,7,-6,-7,20,66,-7,-6
DATA 10,7,-6,73,0,-6,10,7,-6,-7,4,66,14,5,4,66,-7,3,140,-82,11,0,-78,3,54,2,28,8,54,-29,2,54
DATA -29,25,0,11,146,7,145,11,146,-1,3,147,23,146,3,147,-1,-78,3,54,-29,2,0,3,28,4,54,-29,2,54
DATA -29,29,0,-6,10,7,-6,-7,4,66,12,5,4,66,-7,-6,10,7,-6,73,0,-6,10,7,-6,-7,-67,3,5,14,7,3,5
DATA -67,-7,3,140,-82,11,0,-78,3,54,-29,-1,3,28,5,54,-29,2,54,-29,25,0,13,146,3,145,13,146
DATA -1,-148,27,146,-148,-1,2,77,-35,-55,-29,5,0,4,28,3,54,-29,29,0,-6,10,7,-6,-7,-67,3,5,12,7
DATA 3,5,-67,-7,-6,10,7,-6,73,0,-6,9,7,4,5,20,7,3,5,-141,-82,12,0,-78,3,54,-29,4,0,5,28,3,54
DATA -29,25,0,-148,27,146,-148,-1,13,146,3,145,13,146,-1,-78,-35,-29,-55,-29,8,0,-78,3,54,-29
DATA 29,0,-6,9,7,4,5,18,7,4,5,9,7,-6,74,0,-6,7,7,-6,10,7,6,52,11,7,2,5,12,0,2,77,-35,-55,-29
DATA 8,0,-78,3,54,-29,25,0,3,147,23,146,3,147,-1,11,146,7,145,11,146,-1,-78,3,54,-29,8,0,2,77
DATA 2,54,-29,30,0,-6,7,7,-6,10,7,6,52,10,7,-6,7,7,-6,76,0,7,5,8,7,3,52,6,81,3,52,9,7,2,5,11,0
DATA -78,-35,-29,-55,-29,8,0,-78,3,54,-29,25,0,5,147,19,146,5,147,-1,9,146,11,145,9,146,-1
DATA -78,3,54,-29,6,0,2,77,2,54,-29,-55,-29,31,0,7,5,8,7,3,52,6,81,3,52,8,7,7,5,80,0,-6,4,7
DATA 4,5,2,7,-53,12,81,-53,2,7,4,5,4,7,-6,10,0,-78,3,54,-29,8,0,2,77,2,54,-29,25,0,7,147,15,146
DATA 7,147,-1,7,146,15,145,7,146,-1,-78,3,54,-29,4,0,2,77,4,54,-29,-55,-29,34,0,-6,4,7,4,5
DATA 2,7,-53,12,81,-53,2,7,4,5,4,7,-6,82,0,2,5,3,7,-6,-142,-114,2,141,-6,-8,-53,12,81,-53,-8
DATA -6,-142,-114,-142,-128,-5,3,7,-6,10,0,-78,3,54,-29,6,0,2,77,2,54,-29,-55,-29,25,0,9,147
DATA 11,146,9,147,-1,5,146,19,145,5,146,-1,-78,3,54,-29,2,0,2,77,6,54,-29,-55,-29,33,0,2,5
DATA 3,7,-6,-142,-114,-142,-128,-5,-8,-53,12,81,-53,-8,-6,2,141,-114,-142,-6,3,7,2,5,81,0,-6
DATA 4,7,-6,-114,-87,2,113,-6,-8,14,52,-8,-6,-114,-87,-114,-128,-5,4,7,-6,9,0,-78,3,54,-29
DATA 4,0,2,77,4,54,-29,-55,-29,25,0,11,147,7,146,11,147,-1,3,146,23,145,3,146,-1,-78,3,54,-29
DATA 2,77,7,54,-29,2,54,-29,33,0,-6,4,7,-6,-114,-87,-114,-128,-5,-8,14,52,-8,-6,2,113,-87,-114
DATA -6,4,7,-6,81,0,-6,4,7,-6,-142,-114,2,141,-6,-8,-53,12,81,-53,-8,-6,-142,-114,-142,-128
DATA -5,4,7,-6,9,0,-78,3,54,-29,-1,3,77,5,54,-29,2,54,-29,25,0,13,147,3,146,13,147,-1,-147
DATA 27,145,-147,-1,-78,3,54,-78,7,54,2,28,3,54,-29,33,0,-6,4,7,-6,-142,-114,-142,-128,-5,-8
DATA -53,12,81,-53,-8,-6,2,141,-114,-142,-6,4,7,-6,81,0,-6,4,7,-6,4,127,-6,-8,-53,12,81,-53
DATA -8,-6,4,127,-5,4,7,-6,9,0,-78,3,54,2,77,6,54,2,28,3,54,-29,25,0,-145,27,147,-145,-1,13,145
DATA 3,144,13,145,-1,-78,2,54,-78,6,54,2,28,-1,-78,3,54,-29,33,0,-6,4,7,-6,4,127,-5,-8,-53
DATA 12,81,-53,-8,-6,4,127,-6,4,7,-6,81,0,-6,5,7,4,4,2,7,14,52,2,7,4,4,5,7,-6,9,0,-78,2,54
DATA -78,6,54,2,28,-1,-78,3,54,-29,25,0,3,144,23,147,3,144,-1,11,145,7,144,11,145,-1,-78,2,54
DATA -78,4,54,2,28,3,0,-78,3,54,-29,33,0,-6,5,7,4,4,2,7,14,52,2,7,4,4,5,7,-6,81,0,-6,11,7,-53
DATA 12,81,-53,11,7,-6,9,0,-78,2,54,-78,3,54,3,28,3,0,-78,3,54,-29,25,0,5,144,19,147,5,144
DATA -1,9,145,11,144,9,145,-1,-78,2,54,-78,2,54,2,28,5,0,2,77,-35,-55,-29,33,0,-6,11,7,-53
DATA 12,81,-53,11,7,-6,81,0,-6,11,7,-53,12,81,-53,11,7,-6,9,0,-78,3,54,3,28,6,0,2,77,-35,-55
DATA -29,25,0,7,144,15,147,7,144,-1,7,145,15,144,7,145,-1,-78,3,54,2,28,7,0,-78,-35,-29,-55
DATA -29,33,0,-6,11,7,-53,12,81,-53,11,7,-6,81,0,38,52,9,0,-78,3,54,-29,8,0,-78,-35,-29,-55
DATA -29,25,0,9,144,11,147,9,144,-1,5,145,19,144,5,145,-1,-78,3,54,-29,8,0,-78,3,54,-29,33,0
DATA 38,52,81,0,-53,36,61,-53,9,0,2,77,-35,-55,4,77,5,0,-78,3,54,-29,25,0,11,144,7,147,11,144
DATA -1,3,145,23,144,3,145,-1,-78,2,54,4,77,6,0,-78,3,54,-29,33,0,-53,36,61,-53,81,0,-53,8,61
DATA 2,57,26,61,-53,9,0,-78,-35,-29,-78,4,54,4,77,-1,-78,3,54,-29,25,0,13,144,3,147,13,144
DATA -1,-146,27,144,-146,-1,-78,-55,-78,4,54,3,77,3,0,-78,3,54,-29,33,0,-53,8,61,2,57,16,61
DATA 2,57,8,61,-53,82,0,-5,7,61,-58,26,61,-5,10,0,-78,2,54,-78,8,54,2,77,3,54,-29,25,0,-146
DATA 27,144,-146,-1,13,144,3,147,13,144,-1,-78,-55,-78,7,54,2,77,-1,-78,3,54,-29,34,0,-5,7,61
DATA 2,57,17,61,-58,7,61,-5,84,0,34,4,11,0,-78,2,54,-78,9,54,2,77,2,54,-29,25,0,3,145,23,144
DATA 3,145,-1,11,144,7,147,11,144,-1,-78,2,54,-29,8,54,2,77,3,54,-29,35,0,34,4,86,0,-63,6,33
DATA -63,16,0,-64,6,33,-64,12,0,-78,3,54,3,28,8,54,-29,-55,-29,25,0,5,145,19,144,5,145,-1,9,144
DATA 11,147,9,144,-1,-78,3,54,2,28,8,54,-78,2,54,-29,36,0,-63,6,33,-63,16,0,-63,6,33,-63,87,0
DATA -63,6,33,-63,16,0,-64,6,33,-64,12,0,-78,3,54,-29,2,0,3,28,5,54,-29,-55,-29,25,0,7,145
DATA 15,144,7,145,-1,7,144,15,147,7,144,-1,2,77,-35,-55,-29,-1,2,28,7,54,-29,-55,-29,36,0,-63
DATA 6,33,-63,16,0,-63,6,33,-63,87,0,2,62,4,33,2,62,16,0,-64,-68,4,33,-68,-63,12,0,-78,3,54
DATA -29,5,0,3,28,2,54,-29,-55,-29,25,0,9,145,11,144,9,145,-1,5,144,19,147,5,144,-1,-78,-35
DATA -29,-55,-29,3,0,3,28,4,54,-29,-55,-29,36,0,2,62,4,33,2,62,16,0,2,62,4,33,2,62,88,0,6,62
DATA 18,0,3,62,3,63,13,0,-78,3,54,-29,8,0,2,28,2,54,-29,25,0,11,145,7,144,11,145,-1,3,144,23,147
DATA 3,144,-1,-78,3,54,-29,6,0,4,28,2,54,-29,37,0,6,62,18,0,6,62,132,0,-78,3,54,-29,8,0,-78
DATA 3,54,-29,25,0,13,145,3,144,13,145,-1,-145,27,147,-145,-1,-78,3,54,-29,8,0,-78,3,54,-29
DATA 199,0,-78,3,54,-29,8,0,-78,3,54,-29,25,0,-147,27,145,-147,-1,13,147,3,146,13,147,-1,-78
DATA 3,54,-29,8,0,-78,3,54,-29,110,0,21,33,-60,12,33,-60,6,33,3,59,3,33,-60,6,33,-60,10,33
DATA -60,8,33,-60,14,33,-78,3,54,10,77,3,54,87,77,3,54,10,77,3,54,-29,13,33,4,59,12,33,4,59
DATA 4,33,-60,4,33,2,59,2,33,-60,2,33,3,59,4,33,-60,7,33,4,59,23,33,-60,7,33,-60,31,33,-60
DATA 12,33,-60,5,33,-60,3,33,-60,8,33,-60,19,33,-60,15,33,-78,119,54,-29,13,33,-60,15,33,-60
DATA 3,33,-60,3,33,-60,3,33,-60,2,33,-60,-34,-60,-34,-60,3,33,-60,11,33,-60,12,33,-60,10,33
DATA -60,10,33,-60,21,33,2,59,2,33,-60,3,33,3,59,2,33,2,59,-34,2,59,-34,2,59,2,33,3,59,2,33
DATA -60,2,33,-60,2,33,-60,-34,-60,-34,2,59,2,33,2,59,2,33,2,59,2,33,2,59,2,33,-60,2,33,-60
DATA 4,33,2,59,-34,2,59,11,33,-78,6,54,-78,-35,17,54,-78,-35,22,54,-78,-35,20,54,-78,-35,18,54
DATA -78,-35,18,54,-78,-35,6,54,-29,13,33,3,59,2,33,2,59,2,33,-60,3,33,-60,2,33,4,59,3,33,-60
DATA -34,-60,3,33,-60,3,33,-60,-34,-60,7,33,-60,2,33,2,59,3,33,3,59,2,33,2,59,2,33,2,59,2,33
DATA 2,59,-34,2,59,3,33,2,59,-34,2,59,-34,-60,2,33,2,59,3,33,-60,21,33,-60,2,33,-60,-34,-60
DATA -34,-60,2,33,-60,-34,-60,3,33,-60,4,33,-60,-34,-60,2,33,-60,-34,-60,-34,-60,-34,-60,-34
DATA -60,-34,-60,-34,-60,-34,-60,-34,-60,2,33,-60,2,33,-60,-34,-60,-34,-60,-34,-60,-34,-60
DATA -34,-60,3,33,-60,2,33,-60,12,33,-78,6,54,-35,-29,17,54,-35,-29,22,54,-35,-29,20,54,-35
DATA -29,18,54,-35,-29,18,54,-35,-29,6,54,-29,13,33,-60,4,33,-60,2,33,-60,-34,-60,-34,-60,-34
DATA -60,-34,-60,3,33,-60,2,33,3,59,4,33,-60,2,33,-60,-34,-60,7,33,-60,-34,-60,5,33,-60,6,33
DATA -60,-34,-60,-34,-60,-34,-60,4,33,-60,-34,-60,3,33,-60,2,33,-60,-34,-60,5,33,-60,21,33
DATA -60,2,33,-60,3,33,-60,2,33,-60,-34,-60,3,33,-60,2,33,-60,-34,-60,-34,-60,2,33,-60,-34
DATA -60,2,33,3,59,2,33,-60,-34,-60,-34,-60,-34,-60,2,33,-60,2,33,-60,-34,-60,-34,-60,-34,-60
DATA -34,-60,5,33,-60,2,33,-60,12,33,-78,119,54,-29,13,33,-60,4,33,-60,2,33,-60,3,33,-60,3,33
DATA -60,3,33,-60,-34,-60,3,33,-60,-34,-60,2,33,-60,-34,-60,-34,-60,3,33,-60,3,33,-60,3,33
DATA -60,3,33,-60,4,33,-60,-34,-60,-34,-60,-34,-60,-34,-60,2,33,-60,-34,-60,3,33,-60,-34,-60
DATA 2,33,-60,-34,-60,27,33,-60,3,33,2,59,2,33,3,59,2,33,2,59,-34,-60,3,33,2,59,-34,3,59,3,33
DATA -60,6,33,-60,-34,-60,-34,-60,-34,-60,3,33,2,59,2,33,-60,-34,-60,-34,-60,2,33,2,59,-34
DATA -60,-34,-60,2,33,-60,12,33,-78,119,54,-29,13,33,-60,4,33,-60,3,33,2,59,2,33,2,59,-34,4,59
DATA 2,33,-60,3,33,-60,2,33,2,59,2,33,-60,2,33,3,59,4,33,-60,-34,2,59,4,33,-60,5,33,2,59,-34
DATA -60,-34,-60,2,33,-60,2,33,2,59,-34,2,59,3,33,-60,-34,-60,2,33,2,59,3,33,-60,51,33,3,59
DATA 45,33,-78,120,28,110,33,1614,0,-14,-63,-93,-106,-88,-63,-14,202,0,-14,-83,-106,-75,5,0
DATA -20,-72,-56,98,0,-17,-93,5,105,-83,95,0,-30,3,105,29,0,-45,2,105,-75,70,0,-56,3,105,-60
DATA 4,0,-93,2,105,-34,97,0,-63,6,105,-88,4,0,-20,-34,-14,88,0,-30,2,105,-88,5,0,-17,-30,-20
DATA 4,0,-28,-56,-14,7,0,-14,2,29,4,0,-56,2,105,-72,65,0,-17,-20,3,0,-56,4,105,-28,3,0,-88
DATA 2,105,-34,97,0,-93,2,105,-63,-28,-45,-56,-20,2,0,-28,-88,3,105,-63,-14,-1,-28,-70,2,105
DATA -70,-28,2,0,-39,-106,-88,-63,-93,-56,-1,-28,-83,2,105,-70,-20,64,0,-56,2,105,-72,3,0,-14
DATA -72,3,105,-88,-28,-1,-20,2,105,-72,2,0,-75,-106,-56,-1,-56,3,105,-93,-49,2,0,-56,2,105
DATA -56,64,0,-49,2,105,-68,2,0,-56,4,105,-93,-14,2,0,-20,-88,-63,3,0,-20,-34,-17,4,0,-14,2,33
DATA 85,0,-93,2,105,-93,-63,-34,3,0,-20,6,105,2,33,6,105,-34,-1,-72,5,105,-39,6,105,-34,63,0
DATA -56,2,105,-75,3,0,-85,6,105,-28,-20,2,105,-93,-1,-28,3,105,-60,6,105,-56,-1,-56,2,105
DATA -56,64,0,4,105,-56,-1,-34,5,105,-70,2,0,-45,2,105,-17,-28,-88,3,105,-68,-1,-14,-60,3,105
DATA -93,-20,83,0,-63,5,105,-93,-34,-1,-88,2,105,-93,-72,-106,-93,-28,-93,2,105,2,87,2,105
DATA -93,-14,-93,4,105,-88,-93,2,105,-72,-88,2,105,-93,-14,62,0,-56,2,105,-56,2,0,-45,2,105
DATA -85,-56,-83,2,105,-88,-1,-93,2,105,-20,-63,2,105,-75,2,105,-93,-56,-70,3,105,-17,-75,2,105
DATA -54,64,0,-88,4,105,-39,-20,6,105,-49,-1,-75,2,105,-63,-93,5,105,-1,-60,5,105,-56,83,0
DATA -14,-70,6,105,-39,3,105,-20,2,0,-14,-45,2,105,-88,2,13,-88,2,105,-45,3,105,-70,-20,-45
DATA 2,105,-56,-34,-70,3,105,-39,62,0,-75,2,105,-56,2,0,-72,2,105,-54,-63,-93,3,105,-1,-68
DATA 2,105,-54,3,105,-60,2,105,-68,-56,-88,3,105,-39,-75,2,105,-45,64,0,-70,5,105,-20,2,105
DATA -75,-88,2,105,-93,-17,-56,5,105,-75,-56,-75,-39,-1,3,105,-56,-63,-70,-14,85,0,-17,-51
DATA -83,3,105,-93,2,105,-83,4,0,-56,2,105,-56,2,0,-56,2,105,-56,3,105,-14,-1,-56,7,105,-93
DATA -28,62,0,-75,2,105,-56,2,0,-75,6,105,-100,-88,-14,-45,2,105,-100,2,105,-63,-56,6,105,2,99
DATA -28,-75,2,105,-30,64,0,-51,5,105,2,92,2,105,-28,3,105,-63,-56,2,105,-93,3,105,-93,-75
DATA -51,-14,-93,3,105,-85,-63,-28,84,0,-14,3,0,-68,2,105,-93,3,105,-14,3,0,-56,2,105,-72,2,0
DATA -63,2,105,-56,3,105,2,0,-51,4,105,-88,-56,-75,-106,-83,62,0,-88,2,105,-30,2,0,-68,3,105
DATA -88,-56,-34,-93,-106,-72,-14,5,105,-28,-45,3,105,-93,-68,-34,-85,-106,-93,-85,2,105,-28
DATA 64,0,-34,3,105,-93,5,105,-14,-63,3,105,-63,2,105,-60,-93,5,105,-85,-56,6,105,-34,82,0
DATA -75,-106,-93,-63,-56,-93,2,105,-63,-93,2,105,-70,-49,-70,-93,-39,3,105,-56,-45,3,105,-56
DATA 3,105,2,0,-17,3,105,-75,-34,-70,2,105,-93,62,0,4,105,2,74,-72,3,105,-75,-68,-93,2,105
DATA -63,-1,-75,3,105,-83,-1,-14,-93,2,105,-88,-56,-88,2,105,-88,3,105,-30,65,0,3,105,-51,-93
DATA 4,105,-34,-14,-93,2,105,-75,2,105,-72,-14,-51,-72,-88,3,105,-34,-28,-63,-72,3,105,-75
DATA 82,0,8,105,-28,-49,6,105,-60,-70,6,105,-75,-34,2,105,-88,3,0,-60,7,105,-39,62,0,7,105
DATA -83,6,105,-85,-14,-1,-54,3,105,-20,2,0,-39,6,105,-93,-20,3,105,-14,65,0,-75,2,105,-63
DATA -20,-93,3,105,-51,-1,-20,-72,-60,-56,2,105,-75,-20,-75,-70,-56,-93,2,105,-34,-60,-75,-56
DATA -70,2,105,-75,82,0,-39,-93,4,105,-93,-39,2,0,-60,4,105,-88,-20,-14,-75,4,105,-83,-14,-17
DATA 2,105,-70,4,0,-68,4,105,-88,-34,63,0,-49,-93,4,105,-93,-1,-60,3,105,-93,-56,-14,2,0,-14
DATA -93,-106,-70,4,0,-39,-93,3,105,-68,-14,-1,-83,-106,-85,66,0,-56,2,105,-93,-1,-39,3,105
DATA -56,4,0,-34,2,105,2,74,5,105,-85,-34,6,105,-34,83,0,-14,-34,2,55,-45,-14,4,0,-17,-51,-56
DATA -34,4,0,-20,2,55,-34,3,0,-28,-56,-14,5,0,-20,2,55,-34,69,0,2,29,-14,2,0,-14,2,29,6,0,-17
DATA -30,7,0,2,29,-14,4,0,-30,-14,66,0,-20,3,105,-34,-1,-39,-106,-75,-14,4,0,-17,-93,-106,-56
DATA -34,-93,3,105,-75,-14,-1,-75,3,105,-93,-39,289,0,-88,2,105,-56,10,0,-17,-20,3,0,2,33,-17
DATA 4,0,-17,2,33,291,0,-56,2,105,-28,317,0,-20,-17,738,0

' Palette definition

DATA  0, 131072, 512, 3584, 4096, 6656, 2697472, 11008
DATA  2, 131586, 4, 516, 132100, 263172, 6, 1030
DATA  394758, 8, 394248, 526344, 1051656, 1182728, 1183240, 1314312
DATA  1973256, 10, 526346, 657930, 1053706, 789516, 1052172, 265230
DATA  789518, 921102, 1973774, 2959630, 790544, 921616, 1052688, 7184
DATA  2563088, 2830096, 1052690, 1183762, 1184274, 137234, 2432018, 1053204
DATA  1315860, 8468, 1447446, 2960662, 5144, 1579032, 2960664, 1710618
DATA  2302234, 6684, 7196, 1842204, 11036, 6686, 1973790, 2170398
DATA  927006, 1844510, 4144926, 2171169, 3222305, 2302755, 9509, 2434341
DATA  1051175, 2434855, 2565927, 1976615, 3222823, 3355431, 1051177, 400937
DATA  532009, 10537, 2697513, 3485481, 2829099, 2699051, 11565, 2960685
DATA  1585453, 1052207, 2436911, 2699055, 3092271, 1716527, 1182769, 1314353
DATA  1314865, 1847601, 3092785, 3223857, 3355441, 3749169, 4013873, 535347
DATA  797491, 3355443, 2433333, 796469, 796981, 4144949, 2433335, 3093303
DATA  3487031, 14135, 3618615, 3881271, 3355449, 13625, 3224889, 3618617
DATA  14649, 3619129, 1847099, 3093819, 3618107, 3749691, 2699581, 3095357
DATA  3881789, 4012861, 15677, 4013373, 8192, 3748159, 3355967, 1719615
DATA  2440511, 3751231, 4013375, 4144447, 16191, 1589055, 4013887, 4144959
DATA  2056, 2056, 4112, 4112, 4144959, 4144959, 4144959, 4144959
DATA  4144959, 4144959, 4144959, 4144959, 4144959, 4144959, 4144959, 4144959
DATA  4144959, 4144959, 4144959, 4144959, 4144959, 4144959, 4144959, 4144959
DATA  4144959, 4144959, 4144959, 4144959, 4144959, 4144959, 4144959, 4144959
DATA  4144959, 4144959, 4144959, 4144959, 4144959, 4144959, 4144959, 4144959
DATA  4144959, 4144959, 4144959, 4144959, 4144959, 4144959, 4144959, 4144959
DATA  4144959, 4144959, 4144959, 4144959, 4144959, 4144959, 4144959, 4144959
DATA  4144959, 4144959, 4144959, 4144959, 4144959, 4144959, 4144959, 4144959
DATA  4144959, 4144959, 4144959, 4144959, 4144959, 4144959, 4144959, 4144959
DATA  4144959, 4144959, 4144959, 4144959, 4144959, 4144959, 4144959, 4144959
DATA  4144959, 4144959, 4144959, 4144959, 4144959, 4144959, 4144959, 4144959
DATA  4144959, 4144959, 4144959, 4144959, 4144959, 4144959, 4144959, 4144959
DATA  4144959, 4144959, 4144959, 4144959, 4144959, 4144959, 4144959, 4144959
DATA  4144959, 4144959, 4144959, 4128768, 16128, 63, 4128831, 4144959
type T_SPRITE
    x as integer
    y as integer
    w as integer
    h as integer
    sprON as any ptr
end type

type T_DISPLAY
    sprite(1 to NBSPRITE) as T_SPRITE
    sprPalette(1 to 256) as integer
    w as integer
    h as integer
    sprBackground as any ptr
    memory(1 to NBSPRITE) as byte
end type

declare sub displayProlog()
declare sub displayEpilog()
dim shared display as T_DISPLAY

'*******************************
'**** Read DATA and create image
'*******************************
function dataImageCreate(w as integer, h as integer) as any ptr
    dim c,clen,x,y,ii as integer
    dim spr as any ptr
    x = 0 : y = 0 
    spr = imagecreate(w,h)
    do
        read c
        if c <0 then
            pset spr,(x,y),-c-1
            x +=1 
            if x>=w then
                x = 0
                y += 1
            end if
        else
            clen = c
            read c
            for ii = 1 to clen
                pset spr,(x,y),c
                x +=1 
                if x>=w then
                x = 0
                y += 1
            end if
            next ii
        end if
    loop while y < h
    function = spr
    exit function
end function

'****************************
'**** Destroy Display Data
'****************************
sub destroyDisplay()
    dim as integer i
    for i = 1 to NBSPRITE
        ImageDestroy(display.sprite(i).sprON)
    next i
    ImageDestroy(display.sprBackground)
end sub

'****************************
'**** Initialize Display Data
'****************************
sub initDisplay(w as integer = 320, h as integer = 240)
    dim as integer i,x,y,c,iw,ih,idepth
    dim sprTemp as any ptr
    restore displaydata
    screeninfo iw,ih,idepth
    if iw <> w or ih<>h or idepth <> 8 then
      screenres w,h,8,2
    end if  
    for i = 1 to NBSPRITE
        read display.sprite(i).x
        read display.sprite(i).y
        read display.sprite(i).w
        read display.sprite(i).h
        display.sprite(i).sprON = dataImageCreate(display.sprite(i).w, display.sprite(i).h)
        display.memory(i) = 0
    next i
    read display.w
    read display.h
    display.sprBackground = dataImageCreate(display.w, display.h)
    for i = 1 to 256
        read display.sprPalette(i)
    next i
    palette using display.sprPalette : cls:screenset 0,1 
end sub

'***********************
'**** Refresh Display
'***********************
sub drawDisplay(x as integer = 0, y as integer = 0)
    dim i as integer
    cls
    displayProlog
    put(x, y), display.sprBackground, pset
    for i = 1 to NBSPRITE-10
        if display.memory(i) <> 0 then put(display.sprite(i).x + x, display.sprite(i).y + y), display.sprite(i).sprON, trans
    next i
    displayEpilog
    screensync : flip
end sub

CONST SPEEDMAX = 60
CONST SPEEDMIN = 60
CONST SPEEDDELTA = SPEEDMAX-SPEEDMIN
CONST NBPASSPERLEVEL = 6
CONST KEYLEFT = 75
CONST KEYRIGHT = 77
CONST KEYTRIGGER = 80
CONST KEYUNTRIGGER = 72
CONST CHEAT = 0
CONST TRUE = -1
CONST FALSE = 0
CONST NOREF = 0
CONST BONUSTRIGGER = 300

enum allWorkerStatus
    WS_NORMAL = 0
    WS_FALLING
    WS_MISS
end enum

enum allCellType
    CT_NULL = 0
    CT_NORMAL
    CT_WORK
    CT_LIFT
end enum

type T_GAME
    bestscore as integer
    score as integer
    workerX as integer
    workerY as integer
    workerStatus as integer
    level as integer
    miss as integer
    tick as integer
    tickPalette as integer
    speed as integer
    endGame as byte
    liftAlt as byte
    cementAlt as byte
    cementPulse as integer
    bonusOk as byte
end type

type T_WORKERMODEL
    cellType as integer
    isArmDown as byte
    isLiftHere as byte
    workerBody as integer
    workerArmUp as integer
    workerArmDown as integer
    triggerUp as integer
    triggerDown as integer
    doorClose as integer
    doorOpen as integer
    lift as integer
    openTime as integer
end type

dim shared game as T_GAME

#define M_NULL() (CT_NULL,FALSE,FALSE,NOREF,NOREF,NOREF,NOREF,NOREF,NOREF,NOREF,NOREF,0)
#define M_LIFT(workerref,liftref) (CT_LIFT,FALSE,FALSE,workerref,NOREF,NOREF,NOREF,NOREF,NOREF,NOREF,liftref,0)
#define M_NORMAL(workerref) (CT_NORMAL,FALSE,FALSE,workerref,NOREF,NOREF,NOREF,NOREF,NOREF,NOREF,NOREF,0)

dim shared workerModel(0 to 5, 0 to 5) as T_WORKERMODEL => _
{{M_NULL(),M_NULL(),M_LIFT(WORKER_03,LIFT_LEFT_1),M_LIFT(WORKER_03,LIFT_RIGHT_1),M_NULL(),M_NULL()}, _
 {M_NULL(),M_NULL(),M_LIFT(WORKER_12,LIFT_LEFT_2),M_LIFT(WORKER_13,LIFT_RIGHT_2),M_NORMAL(WORKER_14),M_NULL()}, _
 {(CT_WORK,FALSE,FALSE,WORKER_20,WORKER_ARM_UP_20,WORKER_ARM_DOWN_20,TRIGGER_UP_20,TRIGGER_DOWN_20,DOOR_CLOSE_20,DOOR_OPEN_20,NOREF,0), _
  M_NORMAL(WORKER_21),M_LIFT(WORKER_22,LIFT_LEFT_3),M_LIFT(WORKER_23,LIFT_RIGHT_3),M_NORMAL(WORKER_24), _
  (CT_WORK,FALSE,FALSE,WORKER_25,WORKER_ARM_UP_25,WORKER_ARM_DOWN_25,TRIGGER_UP_25,TRIGGER_DOWN_25,DOOR_CLOSE_25,DOOR_OPEN_25,NOREF,0)}, _
 {(CT_WORK,FALSE,FALSE,WORKER_30,WORKER_ARM_UP_30,WORKER_ARM_DOWN_30,TRIGGER_UP_30,TRIGGER_DOWN_30,DOOR_CLOSE_30,DOOR_OPEN_30,NOREF,0), _
  M_NORMAL(WORKER_31),M_LIFT(WORKER_32,LIFT_LEFT_4),M_LIFT(WORKER_33,LIFT_RIGHT_4),M_NORMAL(WORKER_34), _
  (CT_WORK,FALSE,FALSE,WORKER_35,WORKER_ARM_UP_35,WORKER_ARM_DOWN_35,TRIGGER_UP_35,TRIGGER_DOWN_35,DOOR_CLOSE_35,DOOR_OPEN_35,NOREF,0)}, _
 {M_NULL(),M_NORMAL(WORKER_41),M_LIFT(WORKER_42,LIFT_LEFT_5),M_LIFT(WORKER_43,LIFT_RIGHT_5),M_NULL(),M_NULL()}, _
 {M_NULL(),M_NULL(),M_NORMAL(WORKER_52),M_NORMAL(WORKER_52),M_NULL(),M_NULL()}}

'*****************************************
'**** Sub called before main scene drawing
'*****************************************
sub displayProlog()
   dim as integer x,y
   for x = worker_03 to WORKER_52 : display.memory(x) = FALSE : next x
   for y = 0 to 5
       for x = 0 to 5 
           
           select case workerModel(y,x).cellType
           case CT_NORMAL
               if game.workerX = x and game.workerY = y then
                   display.memory(workerModel(y,x).workerBody) = TRUE
               end if
           case CT_LIFT
               if game.workerX = x and game.workerY = y then
                   display.memory(workerModel(y,x).workerBody) = TRUE
               end if
               if workerModel(y,x).isLiftHere then 
                   display.memory(workerModel(y,x).lift) = TRUE
               else
                   display.memory(workerModel(y,x).lift) = FALSE
               end if
           case CT_WORK
               if game.workerX = x and game.workerY = y then
                   display.memory(workerModel(y,x).workerBody) = TRUE
                   if  workerModel(y,x).openTime >0 then
                        display.memory(workerModel(y,x).workerArmDown) = TRUE
                   else
                        display.memory(workerModel(y,x).workerArmUp) = TRUE
                   end if
               else
                   workerModel(y,x).openTime = 0
               end if
               if workerModel(y,x).openTime >0 then
                   display.memory(workerModel(y,x).triggerUp) = FALSE
                   display.memory(workerModel(y,x).triggerDown) = TRUE
                   display.memory(workerModel(y,x).doorClose) = FALSE
                   display.memory(workerModel(y,x).doorOpen) = TRUE
               else
                   display.memory(workerModel(y,x).triggerUp) = TRUE
                   display.memory(workerModel(y,x).triggerDown) = FALSE
                   display.memory(workerModel(y,x).doorClose) = TRUE
                   display.memory(workerModel(y,x).doorOpen) = FALSE
               end if
           case CT_NULL
               ' nothing to do
           end select
       next x
   next y
  
end sub

'****************************************
'**** Sub called after main scene drawing
'****************************************
sub displayEpilog()
    color 180, 73
    
    dim ss as String
    dim as integer i,mem,y,x,flash

    if game.bonusOK and game.score >= BONUSTRIGGER then
        flash = 1
    else
        flash = 0
    end if

    if flash = 0 or (flash = 1 and game.tickPalette>8) then
        ss = str(game.score)
        while len(ss)<3
            ss = "0"+ss
        wend
        for i = 1 to len(ss)
            mem = asc(mid(ss,i,1))-asc("0") + DIGIT_0
            y = display.sprite(mem).y
            x = (i-1)*13 + 60
            put(x,y),display.sprite(mem).sprON,PSET
        next i
    end if
    ss = str(game.level)
    for i = 1 to len(ss)
        mem = asc(mid(ss,i,1))-asc("0") + DIGIT_0
        y = display.sprite(mem).y
        x = (i-1)*13 + 160
        put(x,y),display.sprite(mem).sprON,PSET
    next i
    
    
    'locate 25,1 : print game.workerY;game.workerX;workerModel(game.workerY,game.workerX).workerBody
    if game.endGame then
        locate 14,15: PRINT "           "
        locate 15,15: PRINT " GAME OVER "
        locate 16,15: PRINT "           "
    end if
    
    color ,0
end sub

'***************
'**** Init miss
'***************
sub initMiss()
    dim i as integer
    for i = MISS_1 to MISS_3 : display.memory(i) = 0 : next i
    game.miss = 0
end sub

'********************
'*** Init Cement
'********************
sub initCement()
    dim i as integer
    for i = CEMENT_LEFT_1 to CEMENT_RIGHT_OUT_3 : display.memory(i) = 0 : next i
    display.memory(DRIVER_LEFT_OK) = 1 : display.memory(DRIVER_RIGHT_OK) = 1    
    display.memory(DRIVER_LEFT_GOTCHA) = 0 : display.memory(DRIVER_RIGHT_GOTCHA) = 0   
    game.cementAlt = 0
    game.cementPulse = 10000
end sub

'********************
'**** Init Lift
'********************
sub initLift()
    dim as integer x,y
    for x = 2 to 3
        for y = 0 to 4
            workerModel(y,x).isLiftHere = FALSE
        next y
    next x
    workerModel(1,2).isLiftHere = TRUE
    workerModel(1,3).isLiftHere = TRUE
    workerModel(3,2).isLiftHere = TRUE
    workerModel(3,3).isLiftHere = TRUE
    game.liftAlt = 0
end sub

'********************
'**** Init worker
'********************
sub initWorker
    game.workerX = 0
    game.workerY = 2
    game.workerStatus = WS_NORMAL
end sub

'********************
'**** Move Lift
'********************
' return 0 : normal,  -1 : worker crashed up or down
function moveLift as integer
    dim y as integer
    dim isHere as byte
    if game.LiftAlt then
        if game.workerX = 2 and _
           game.workerY > 0 and _
           workermodel(game.workerY,game.workerX).cellType = CT_LIFT and _
           workermodel(game.workerY,game.workerX).isLiftHere = TRUE and _
           game.workerStatus = WS_NORMAL then
             game.workerY += 1
        end if
        isHere = workerModel(4,2).isLiftHere
        for y = 4 to 1 step -1
            workerModel(y,2).isLiftHere = workerModel(y-1,2).isLiftHere
        next y
        workerModel(0,2).isLiftHere = isHere
    else
        if game.workerX = 3 and _
           game.workerY > 0 and _
           workermodel(game.workerY,game.workerX).cellType = CT_LIFT and _
           workermodel(game.workerY,game.workerX).isLiftHere = TRUE and _
           game.workerStatus = WS_NORMAL then
             game.workerY -= 1
        end if
        isHere = workerModel(0,3).isLiftHere
        for y = 0 to 3
            workerModel(y,3).isLiftHere = workerModel(y+1,3).isLiftHere
        next y
        workerModel(4,3).isLiftHere = isHere
    end if
    if game.workerStatus = WS_FALLING and game.workerY <5 then
        game.workerY += 1
    end if
    game.LiftAlt = abs(game.LiftAlt-1)
    if game.workerY = 0 or game.workerY=5 and _
       (game.workerStatus = WS_NORMAL or game.workerStatus = WS_FALLING)then
        game.workerStatus = WS_MISS
        function = -1
    else
        function = 0
    end if
end function

'*************************
'**** Worker position
'*************************
' move = -1 for left, move = 1 for right
sub moveWorker(move as integer)
    game.workerX += move
    if game.workerX<0 or game.workerX>5 then
        game.workerX -= move
        exit sub
    end if
    if game.workerStatus <> WS_NORMAL or _
       workerModel(game.workerY,game.workerX).cellType = CT_NULL then
        game.workerX -= move
        exit sub
    end if
    if workerModel(game.workerY,game.workerX).cellType = CT_LIFT and workerModel(game.workerY,game.workerX).isLiftHere = FALSE then
        game.workerStatus = WS_FALLING
    end if
end sub

'*****************************
'**** Worker action on trigger
'*****************************
sub triggerWorker(howlong as integer)
    dim posi as integer
    dim scoreBefore as integer
    dim cementIn as integer
    dim cementOut as integer
    dim deltaScore as integer
    dim mult as integer
    deltaScore = 0
    mult = iif(game.bonusOK = TRUE and game.score >= BONUSTRIGGER,2,1)
    posi = game.workerY*10 + game.workerX
    if posi <> 20 and posi <> 30 and posi <> 25  and posi<>35 then exit sub
    workerModel(game.workerY,game.workerX).openTime = howlong
    select case posi
    case 20
        cementIn = CEMENT_LEFT_6
        cementOut = CEMENT_LEFT_7
        deltaScore = 1 * mult
    case 25
        cementIn = CEMENT_RIGHT_6
        cementOut = CEMENT_RIGHT_7
        deltaScore = 1 * mult
    case 30
        cementIn = CEMENT_LEFT_10
        cementOut = CEMENT_LEFT_11
        deltaScore = 2 * mult
    case 35
        cementIn = CEMENT_RIGHT_10
        cementOut = CEMENT_RIGHT_11
        deltaScore = 2 * mult
    end select
    if display.memory(cementIn) then
        display.memory(cementIn) = FALSE
        display.memory(cementOut) += 1
        scoreBefore = game.score
        game.score += deltaScore
        if (scoreBefore < 300) and (game.score >=300) then  initMiss
    end if
end sub

'***********************************************************
'**** Say if  a Cement can be added accordingly to the level
'***********************************************************
function canAddCement as integer
    dim limitPulse as integer
    limitPulse = 22/game.level
    if game.cementPulse > limitPulse then
        canAddCement = 1
    else
        canAddCement = 0
    end if
end function

sub moveCementLogic (memStart as integer, memEnd as integer,overflowID as integer, outID as integer)
    dim i as integer
    if memEnd > memStart then
        for i = memStart to memEnd -1
           if display.memory(i+1) > 0 and display.memory(i) > 0 and (i+1)=overflowID then
               display.memory(i) -=1
               display.memory(outID) +=1
           end if
            if display.memory(i+1) = 0 and display.memory(i) > 0 then
               display.memory(i+1) = 1
               display.memory(i) -= 1
               i = i +1
           end if
        next i
    else
        display.memory(memStart) = iif(display.memory(memStart) = 0, 0, display.memory(memStart) - 1)
    end if
end sub

'*********************
'**** Move cement
'*********************
' return  : 0 : nothing,  -1 Cement on the head
function  moveCement() as integer
    dim result as integer
   game.cementPulse +=1
' LEFT SIDE
    display.memory(DRIVER_LEFT_OK) = iif(display.memory(CEMENT_LEFT_OUT_3)>0,0,1)
    display.memory(DRIVER_LEFT_GOTCHA) = iif(display.memory(CEMENT_LEFT_OUT_3)>0,1,0)
    display.memory(CEMENT_LEFT_OUT_3) = display.memory(CEMENT_LEFT_OUT_2)
    display.memory(CEMENT_LEFT_OUT_2) = display.memory(CEMENT_LEFT_OUT_1)
    display.memory(CEMENT_LEFT_OUT_1) = 0
   
    moveCementLogic(CEMENT_LEFT_1,CEMENT_LEFT_6,CEMENT_LEFT_4,CEMENT_LEFT_OUT_1)
    moveCementLogic(CEMENT_LEFT_7,CEMENT_LEFT_10,CEMENT_LEFT_8,CEMENT_LEFT_OUT_2)
    moveCementLogic(CEMENT_LEFT_11,CEMENT_LEFT_11,NOREF,NOREF)
    
'RIGHT SIDE
    display.memory(DRIVER_RIGHT_OK) = iif(display.memory(CEMENT_RIGHT_OUT_3)>0,0,1)
    display.memory(DRIVER_RIGHT_GOTCHA) = iif(display.memory(CEMENT_RIGHT_OUT_3)>0,1,0)
    display.memory(CEMENT_RIGHT_OUT_3) = display.memory(CEMENT_RIGHT_OUT_2)
    display.memory(CEMENT_RIGHT_OUT_2) = display.memory(CEMENT_RIGHT_OUT_1)
    display.memory(CEMENT_RIGHT_OUT_1) = 0

    moveCementLogic(CEMENT_RIGHT_1,CEMENT_RIGHT_6,CEMENT_RIGHT_4,CEMENT_RIGHT_OUT_1)
    moveCementLogic(CEMENT_RIGHT_7,CEMENT_RIGHT_10,CEMENT_RIGHT_8,CEMENT_RIGHT_OUT_2)
    moveCementLogic(CEMENT_RIGHT_11,CEMENT_RIGHT_11,NOREF,NOREF)
    
    result = iif(display.memory(DRIVER_LEFT_GOTCHA) or display.memory(DRIVER_RIGHT_GOTCHA),-1,0)
    moveCement = result
end function


'**************
'**** Add Cement
'**************
sub addCement
    
    if display.memory(CEMENT_LEFT_1) or display.memory(CEMENT_RIGHT_1) then exit sub

    if game.cementAlt = 0 then
        display.memory(CEMENT_LEFT_1) = 1
    else
        display.memory(CEMENT_RIGHT_1) = 1
    end if
    game.cementPulse = 0
    game.cementAlt = abs(game.cementAlt-1)
end sub
'**************************
'**** Alert too much cement
'**************************
' return 0 if no alert , 1 otherwise
function AlertTooMuchCement as integer
    dim isAlert as integer
    isAlert = _
    (display.memory(CEMENT_LEFT_4) > 0 and _
     display.memory(CEMENT_LEFT_5) > 0 and _
     display.memory(CEMENT_LEFT_6) > 0) or _
    (display.memory(CEMENT_LEFT_8) > 0 and _
     display.memory(CEMENT_LEFT_9) > 0 and _
     display.memory(CEMENT_LEFT_10) > 0) or _
    (display.memory(CEMENT_RIGHT_4) > 0 and _
     display.memory(CEMENT_RIGHT_5) > 0 and _
     display.memory(CEMENT_RIGHT_6) > 0) or _
    (display.memory(CEMENT_RIGHT_8) > 0 and _
     display.memory(CEMENT_RIGHT_9) > 0 and _
     display.memory(CEMENT_RIGHT_10) > 0) 
    AlertTooMuchCement = isAlert
end function

'********************
'**** Initialize game
'********************
sub initGame
    dim i as integer
    game.score = 0
    game.level = 1
    initMiss
    initCement
    initLift
    initWorker
    game.speed = SPEEDMIN
    game.tick = 0
    game.endGame = 0
    game.bonusOk = TRUE
end sub

'***************
'**** Add a miss
'***************
' return 0 : game may continue, -1 : game over
function addMiss() as integer
    game.miss +=1
    game.bonusOk = FALSE
    display.memory(MISS_1 + game.miss -1) = 1
    if game.miss = 3 then
        function = -1
        exit function
    end if
    function = 0
end function



'******************************
'**** MAXIMUM SCORE FOR A LEVEL
'******************************
function maxScore(byval level as integer) as integer
    if level = 0 then
       function = 0 
       exit function
    end if
    if level = 1 then
        function = NBPASSPERLEVEL
        exit function
    end if
    function = (maxScore(level - 1) + level * NBPASSPERLEVEL)
end function


'***************
'**** Main Stuff
'***************
public sub TooMuchCement
    dim as integer w, h, ra, aKey,rLift, rCement, xs, ys,cshift,fi
    w = 320 : h = 240
    Randomize timer : 
    initDisplay w, h
    setmouse ,,0
    on local error goto nofile
    fi = freefile
    open "tmc.sco" for input as fi
    input #fi,game.bestscore
    close fi
    on error goto 0
 goto sequel
 nofile:
   resume next
 sequel:
 
 
    cls:color 178,0:
    print "Too Much Cement Version 0.2b" 
    print "redcrab@infonie.fr 03/05/2006"
    print ""
    color 86
    print "Control: "
    color 82
    print "   Left/Right arrow keys "
    print "   Down arrow key for trigger"
    print "   Quit game with ESC key"
    print "   windowed / fullscreen ALT-ENTER" 
    print ""
    color 86
    print "Non-beginner player control:"
    color 82
    print "   add 1 more cement with ""c"" key" 
    print "   Move to next level with ""+"" key"
    print ""
    color 253
    if game.bestscore > 0 then
        print "Best score : " ; game.bestscore;
    else
        print "    This is the first time"
        print "    you play with this game"
        print "    or there is no best score yet !"
        print "":print "        HAVE FUN !"
    end if
    print ""
    print ""
    print ""
    color 178
    print " Squash a key to continue"
    print " or press ESC to go back..."
    flip
    sleep

    initGame
    xs = (w - display.w) / 2 : ys = (h - display.h) / 2
    cshift = 0
    do
        game.tick += 1
        game.tickPalette += 1
        if game.tickPalette >game.speed / 4 then
            game.tickPalette = 0
            cshift += 1
            cshift = cshift mod 4
        end if
        
        workerModel(2,0).openTime = iif(workerModel(2,0).openTime = 0,0,workerModel(2,0).openTime-1)
        workerModel(2,5).openTime = iif(workerModel(2,5).openTime = 0,0,workerModel(2,5).openTime-1)
        workerModel(3,0).openTime = iif(workerModel(3,0).openTime = 0,0,workerModel(3,0).openTime-1)
        workerModel(3,5).openTime = iif(workerModel(3,5).openTime = 0,0,workerModel(3,5).openTime-1)
        aKey = asc(right(inkey$,1)) 
        if (game.tick >= game.speed) then
            game.tick = 0
            rLift = moveLift
            rCement = iif(game.liftAlt,moveCement,0)
            game.endGame = iif (rCement = -1 or rLift = -1, addMiss, 0)
            if maxScore(game.level)< game.score then
                game.level += 1
            end if
            game.speed = int(SPEEDMIN*1.0! + SPEEDDELTA *1.0!*((game.score-maxScore(game.level-1))/game.level*1.0!)/NBPASSPERLEVEL)
            if rCement = -1 or rLift = -1 then
                drawDisplay xs, ys
                sleep 1000,1:do:loop while inkey$<>"" : do:loop while inkey$=""
                if not game.endGame then
                    initCement : initLift : initWorker
                end if
                aKey = 0
            end if
            if canAddCement and not game.endGame then 
                addCement
            end if
            if AlertTooMuchCement then
                display.memory(DING_BODY) = 1
                if (game.liftAlt) then
                    display.memory(DING_SOUND) = 1
                    display.memory(DING_ARM_UP) = 0
                    display.memory(DING_ARM_DOWN) = 1
                    beep
                else
                    display.memory(DING_SOUND) = 0
                    display.memory(DING_ARM_UP) = 1
                    display.memory(DING_ARM_DOWN) = 0
                end if
            else
                display.memory(DING_BODY) = 0
                display.memory(DING_SOUND) = 0
                display.memory(DING_ARM_UP) = 0
                display.memory(DING_ARM_DOWN) = 0
            end if
            
        end if
        sleep 1
        palette 147,display.sprPalette(145 + cshift)
        cshift = (cshift +1) mod 4
        palette 146,display.sprPalette(145 + cshift)
        cshift = (cshift +1) mod 4
        palette 145,display.sprPalette(145 + cshift)
        cshift = (cshift +1) mod 4
        palette 144,display.sprPalette(145 + cshift)
        cshift = (cshift +1) mod 4
        drawDisplay xs, ys
        if CHEAT then
            ' no cheat !
        end if
        
        select case aKey
            case KEYLEFT:
                moveWorker(-1)
                akey = 0
            case KEYRIGHT:
                moveWorker(1)
                akey = 0
            case KEYTRIGGER:
                TriggerWorker(game.speed/2)
                akey = 0
            case KEYUNTRIGGER:
                TriggerWorker(0)
                akey = 0
        end select
        if aKey = asc("c") then addCement
        if aKey = asc("+") and game.level <7 then game.level += 1
    loop while aKey <> 27 and game.endGame = 0
    drawDisplay xs, ys
    destroyDisplay
    if game.score > game.bestscore then
         fi = freefile
        open "tmc.sco" for output as fi
        write #fi,game.score
        close fi
    end if
end sub

if right(ucase(command$(0)),8)<>"CSGP.EXE" and right(ucase(command$(0)),4)<>"CSGP" then TooMuchCement


